<?php
/**
 * Smarty plugin
 *
 * @category Smarty
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package Smarty
 * @subpackage plugins
 * @version $Id$
*/

/**
 * Smarty {img_url} function plugin
 *
 * @param   string  $params     Parameters:
 *                              <ul>
 *                                  <li>uri     string      The image uri - e.g.: 'section/image id'</li>
 *                              </ul>
 * @param   object  &$smarty    The smarty object
 * @return  string
 */
function smarty_function_img_url($params, US_Smarty &$smarty)
{
    return img_url($params['uri']);
}

/* End of function.img_url.php */