<?php
/**
 * Smarty plugin
 *
 * @category Smarty
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2010 untermStrich
 * @package Smarty
 * @subpackage plugins
 * @version $Id$
*/

/**
 * Smarty time div view function plugin
 *
 * Purpose:  Create the view for a time diff value
 *
 * @param   array   $params Parameters:
 *                  <ul>
 *                      <li>value   float     The variable</li>
 *                  </ul>
 * @return  string  The field source
 */
function smarty_function_isdiff(array $params)
{
    if (isset($params['value'])) {
            return diff_to_hours($params['value']);
    } else {
        return '';
    }
}

