<!DOCTYPE HTML>
<head>
    <meta charset="utf-8" />
        <title><?php echo $title; ?> &#8230;</title>
	<style type="text/css">
            #biglogo picture, #biglogo img {
                width: 80vw;
                max-width: 500px;
            }
            <?php if (US_MAJOR_VERSION>=15): ?>
                #biglogo svg {
                    width: 80vw;
                    max-width: 400px;
                }
                #loadlogo img {
                    filter: hue-rotate(190deg) grayscale(50%);
                }
            <?php endif; ?>
            #loadlogo picture, #loadlogo img {
                width: 10vw;
                max-width: 100px;
            }
            #menublock, #menublock #mb_masterdatamanagement, #menublock #mb_masterdatamanagement a {
                visibility: visible !important;
                display: block !important;
                width: 10px !important;
                height: 10px !important;
                opacity: 0.1 !important;
            }
	</style>
        <link rel="shortcut icon" href="<?php echo site_url('favicon.ico'); ?>" type="image/x-icon" id="shortcut_ico" />
        
        <?php if ($js_path === 'js') { ?>
            <script src="<?php echo site_url($js_path.'/jquery/jquery-2.2.4__'.$us_version_ue.'.js'); ?>" defer></script>
        <?php } else { ?>
            <script src="<?php echo site_url($js_path.'/jquery__'.$us_version_ue.'.js'); ?>" defer></script> 
            <script src="<?php echo site_url($js_path.'/ustrich__'.$us_version_ue.'.js'); ?>" defer></script> 
        <?php } ?>
        
        <?php /* Standard onLoad action */ ?>
        <script src="<?php echo site_url($js_path.'/page_centric/startup__'.$us_version_ue.'.js'); ?>" defer></script>
        
        <?php /* PRELOAD */ ?>
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/basic__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/icons__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/ui.basic__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/lazy__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/fullcalendar__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/menu1__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/menu2__'.$us_version_ue.'.css'); ?>">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/print__'.$us_version_ue.'.css'); ?>" media="print">
        <link rel="preload" as="style" href="<?php echo site_url($css_path.'/build__'.$us_version_ue.'.css'); ?>">
        
        <?php /*             
            loadCSS. [c]2017 Filament Group, Inc. MIT License
            Has to be here, as long as the support is still bad https://caniuse.com/#search=preload 
         */ ?>
        <script type="text/javascript">
          !function(n){"use strict";n.loadCSS||(n.loadCSS=function(){});var o=loadCSS.relpreload={};if(o.support=function(){var e;try{e=n.document.createElement("link").relList.supports("preload")}catch(t){e=!1}return function(){return e}}(),o.bindMediaToggle=function(t){var e=t.media||"all";function a(){t.addEventListener?t.removeEventListener("load",a):t.attachEvent&&t.detachEvent("onload",a),t.setAttribute("onload",null),t.media=e}t.addEventListener?t.addEventListener("load",a):t.attachEvent&&t.attachEvent("onload",a),setTimeout(function(){t.rel="stylesheet",t.media="only x"}),setTimeout(a,3e3)},o.poly=function(){if(!o.support())for(var t=n.document.getElementsByTagName("link"),e=0;e<t.length;e++){var a=t[e];"preload"!==a.rel||"style"!==a.getAttribute("as")||a.getAttribute("data-loadcss")||(a.setAttribute("data-loadcss",!0),o.bindMediaToggle(a))}},!o.support()){o.poly();var t=n.setInterval(o.poly,500);n.addEventListener?n.addEventListener("load",function(){o.poly(),n.clearInterval(t)}):n.attachEvent&&n.attachEvent("onload",function(){o.poly(),n.clearInterval(t)})}"undefined"!=typeof exports?exports.loadCSS=loadCSS:n.loadCSS=loadCSS}("undefined"!=typeof global?global:this);
        </script>
    </head>
    <body onLoad="setTimeout('document.location=\'<?php echo $url; ?>\'', 15000)"><?php /* 15 Seconds fallback */ ?>
        <p id="biglogo" style="text-align:center; margin-top:7vh;">
            <a id="biglogoclk" href="<?php echo $url; ?>" style="border:0;">
                <?php if (US_MAJOR_VERSION>=15): ?>
                    <svg viewBox="0 0 48 48" fill="none" xmlns="http://www.w3.org/2000/svg" class="svgImage__image  svgImage__image--withoutPainting"><rect x="4" y="4" width="40" height="40" rx="12" fill="#4285F4" fill-opacity="0.2"></rect><g clip-path="url(#clip0_221_11595)"><rect x="8" y="8" width="32" height="32" rx="8" fill="#4285F4"></rect><path fill-rule="evenodd" clip-rule="evenodd" d="M21.4889 17.0542C21.376 16.5272 20.624 16.5272 20.5111 17.0542L19.3166 22.6286C19.0202 24.0118 17.7978 25 16.3832 25H15C14.4477 25 14 24.5523 14 24C14 23.4477 14.4477 23 15 23H16.3832C16.8547 23 17.2622 22.6706 17.361 22.2096L18.5555 16.6351C19.1201 14.0002 22.8799 14.0002 23.4445 16.6351L26.5111 30.9459C26.624 31.4729 27.376 31.4728 27.4889 30.9459L28.6834 25.3714C28.9798 23.9882 30.2022 23 31.6168 23H33C33.5523 23 34 23.4477 34 24C34 24.5523 33.5523 25 33 25H31.6168C31.1453 25 30.7378 25.3294 30.639 25.7905L29.4445 31.3649C28.8799 33.9999 25.1201 33.9998 24.5555 31.3649L21.4889 17.0542Z" fill="white"></path></g><defs><clipPath id="clip0_221_11595"><rect width="32" height="32" fill="white" transform="translate(8 8)"></rect></clipPath></defs></svg>
                <?php else: ?>
                    <picture>
                        <source type="image/svg+xml" srcset="<?php echo site_url('/images/logo/startup.svg?v=5'); ?>">
                        <img src="<?php echo site_url('/images/logo/startup.png?v=5'); ?>" alt="untermStrich X3">
                    </picture>
                <?php endif; ?>
            </a>
        </p>
        <p id="loadlogo" style="text-align:center; margin-top:7vh;">
            <a id="loadlogoclk" href="<?php echo $url; ?>" style="border:0;">
                <img src="<?php echo site_url('/images/loading.svg?v=6'); ?>" alt="untermStrich loading">
            </a>
        </p>
        
        <?php /* PRELOAD */ ?>
        <iframe type="text/html" src="<?php echo site_url('empty.html'); ?>" style="visibility: hidden;"></iframe>
        <div id="menublock">
            <div id="mb_masterdatamanagement">
                <a href="<?php echo $url; ?>" style="border:0;"></a>
            </div>
        </div>
    </body>
</html>
