<style type="text/css" scoped>
    #personalapp_rightmenu_view_type, #personalapp_rightmenu_options {
        padding-left: 5px !important;
    }
    #personalapp_rightmenu_form {
        padding-left: 25px !important;
    }
    #personalapp_rightmenu_form div {
        display: inline-block;
        width: 40%;
        min-width: 180px;
        max-width: 200px;
    }
    #personalapp_rightmenu_view_type .booloption {
        display: inline-block;
        width: 100px;
    }
</style>

    
<h4 style="margin-top:20px;">{$i.basic_options}</h4>
<ul id="personalapp_rightmenu_options" class="blockelement-menu">
    {include file="r/leftmenu_boolset.tpl" name="personalapp_show_projectinfo" title="personalapp_show_projectinfo" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
    {include file="r/leftmenu_boolset.tpl" name="personalapp_show_abbrev" title="personalapp_show_abbrev" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
    {include file="r/leftmenu_boolset.tpl" name="personalapp_show_comment" title="personalapp_show_comment" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
    {if $mode_o365}
        {include file="r/leftmenu_boolset.tpl" name="personalapp_show_migrated_local_events" title="personalapp_show_migrated_local_events" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
        {include file="r/leftmenu_boolset.tpl" name="personalapp_no_private_for_others" title="personalapp_no_private_for_others" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
    {/if}
    {include file="r/leftmenu_boolset.tpl" name="personalapp_show_weekends" title="personalapp_show_weekends" updateSection="personalappointmentplaner" updatePage="get_rightmenu"}
</ul>
<form action="" method="post" id="personalapp_rightmenu_form">
    <div>
        {$i.personalapp_calendar_first_hour}
        {include file='r/table_select.tpl' name="calendar_first_hour"
            list=$personalapp_calendar_first_hours id="item" text="key"
            default=$personalapp_calendar_first_hour
            noempty=1
            script='onchange="$(this).blur();usComm.setOption(\'personalapp_first_hour\', \'personalappointmentplaner\', \'get_rightmenu\', null, null, $(this).val());" style="width:87px"'}
    </div>
    <div>
        {$i.personalapp_calendar_slot_minute}
        {include file='r/table_select.tpl' name="calendar_slot_minute"
            list=$personalapp_calendar_slot_minutes id="item" text="key"
            default=$personalapp_calendar_slot_minute
            noempty=1
            script='onchange="$(this).blur();usComm.setOption(\'personalapp_slot_minute\', \'personalappointmentplaner\', \'get_rightmenu\', null, null, $(this).val());" style="width:87px"'}
    </div>
</form>
{if $mode_o365}
    <details class="small-info" style="margin-top: 10px;">
        <summary>{$i.personalapp_o365_cache}</summary>
        <p>
            <kbd>
                <a href="javascript:personalapp.force_sync_o365({$current_year -1});" class="">{sprintf($i.personalapp_reset_cache, $current_year -1)}</a><br />
                <a href="javascript:personalapp.force_sync_o365({$current_year});" class="">{sprintf($i.personalapp_reset_cache, $current_year)}</a><br />
                <a href="javascript:personalapp.force_sync_o365({$current_year +1});" class="">{sprintf($i.personalapp_reset_cache, $current_year +1)}</a>
            </kbd> 
        </p>
    </details>
{/if}