<form id="externalexpenses_time_shift_form" style=""
    action=""  method="POST" enctype="multipart/form-data"
    onsubmit="">
    
    <h3>{$i.externalexpenses_time_shift_difference_title}</h3>
    
    <table>
        <tbody>
            <tr>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_day"
                        title="externalexpenses_date" placeholder="basic_days"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='externalexpenses.time_shift_multi_update();'"}
                </td>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_month"
                        placeholder="basic_months"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='externalexpenses.time_shift_multi_update();'"}
                </td>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_year"
                        placeholder="basic_years"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='externalexpenses.time_shift_multi_update();'"}
                </td>
            </tr>
            <tr>
                <td colspan="3" style="border-width: 0px">
                    {include file='r/checkbox.tpl' name="time_with_addi"
                        title="externalexpenses_include_addi_dates"
                        text="name" labelclass="label2"
                        filter_extra="onchange='externalexpenses.time_shift_multi_update();'"}
                </td>
            </tr>
        </tbody>
    </table>
    
    <br/>
    
    <div class="ui-dialog-maxheight-scroll" style="max-height:500px; margin-top:15px;">
        <h4>{$i.externalexpenses_selected_externalexpense}</h4>
        <hr />
        <table>
            <thead>
                <th>{$i.filter_name}</th>
                <th>{$i.externalexpenses_date}</th>
                <th>{$i.externalexpenses_valid_from}</th>
                {if $multi_currency}
                    <th>{$i.externalexpenses_value}</th>
                    <th>{$i.externalexpenses_exchange_rate}</th>
                    <th>{$i.externalexpenses_value_otcurr}</th>
                {else}
                    <th>{$i.externalexpenses_value}</th>
                {/if}
            </thead>
            <tbody>
                {foreach item="externalexpense" from=$selected_externalexpenses}
                    <tr>
                        <td>
                            {if $externalexpense->project}{$externalexpense->project->project_name}{/if} | {$externalexpense->purpose} | {if $externalexpense->cost_centre}{$externalexpense->cost_centre->name}{/if}
                        </td>
                        <td id="time_shift_externalexpense_{$externalexpense->id}_date">
                            {if $externalexpense->date}
                                {$externalexpense->date->us_date()}
                            {/if}
                        </td>
                        <td id="time_shift_externalexpense_{$externalexpense->id}_valid_from">
                            {if $externalexpense->valid_from}
                                {$externalexpense->valid_from->us_date()}
                            {/if}
                        </td>
                        {if $multi_currency}
                            <td id="time_shift_externalexpense_value_internal" style="text-align: right;">
                                {include file='r/view.tpl' name="externalexpense_{$externalexpense->id}_value_internal"
                                    labelclass="label2"
                                    default={islongfloat value=$externalexpense->value} class="numberi18n"}
                            </td>
                            <td id="time_shift_externalexpense_value_exchange_rate" style="text-align: right;">
                                {include file='r/input.tpl' name="externalexpense_{$externalexpense->id}_value_exchange_rate"
                                    labelclass="label2" readonly=true
                                    default={islongfloat value=$externalexpense->exchange_rate} class="numberi18n"}
                            </td>
                            <td id="time_shift_externalexpense_value" style="text-align: right;">
                                {include file='r/input.tpl' name="externalexpense_{$externalexpense->id}_value"
                                    labelclass="label2"
                                    default={islongfloat value=$externalexpense->value_otcurr} class="t-small numberi18n calculator"}
                            </td>
                        {else}
                            <td id="time_shift_externalexpense_value">
                                {include file='r/input.tpl' name="externalexpense_{$externalexpense->id}_value"
                                    text="name" labelclass="label2"
                                    default={islongfloat value=$externalexpense->value} class="t-small numberi18n calculator"}
                            </td>
                        {/if}
                    </tr>
                {/foreach}
            </tbody>
        </table>    
    </div>
</form>