{$other_cost_centre=0}
<style>
    #fee_wp_table{$sdd_pre} {
        width: 940px;
        margin: 10px 0px 0px 0px;
        table-layout: fixed;
        word-wrap: break-word;
    }
    #fee_wp_table{$sdd_pre} .frst {
        width: 450px;
    }
    #fee_wp_table{$sdd_pre} .othr {
        width: 130px;
    }
</style>
<table id="fee_wp_table{$sdd_pre}" {if !$show_wp} hidden {/if}>
    <thead>
    <tr>
        <th class="frst">{$i.fees_work_package_name}</th>
        {if $show_wp_details && $has_quantity}
            <th class="othr" colspan="2">{$i.fees_quantity}</th>
            <th class="othr">{$i.fees_price}</th>
        {/if}
        <th class="othr costsrow">
            {if $sdd_pre eq '_sdd'}
                {$i.fees_sdd_remited}
            {else}
                {$i.fees_value}
            {/if}
        </th>
        {if $project_use_currency}{* $$$$$$$$$$$$$ *}
            <th class="othr">{$i.fees_exchange_rate}</th>
            <th class="othr costsrow">
            {if $sdd_pre eq '_sdd'}
                {$i.fees_sdd_remited_otcurr}
            {else}
                {$i.fees_value_otcurr}
            {/if}
            </th>
        {/if}
    </tr>
    </thead>
    <tbody>
    {foreach item="allocation" from=$allocations}
        {if $fee_id != 'add'}      
            {if $show_wp_details}
                {assign var="fee_quantity_name" value="fee_wp{$sdd_pre}_quantity_`$allocation->wp_id`"}
                {assign var="fee_price_name" value="fee_wp{$sdd_pre}_price_`$allocation->wp_id`"}
            {/if}
            {if !$project_use_currency}{* ------------- *}
                {assign var="fee_name" value="fee_wp{$sdd_pre}_`$allocation->wp_id`"}   
            {else}{* $$$$$$$$$$$$$ *}
                {assign var="fee_name" value="fee_wp{$sdd_pre}_feeinternal_`$allocation->wp_id`"}   

                {assign var="fee_otcurr_name" value="fee_wp{$sdd_pre}_`$allocation->wp_id`"}
            {/if}    
        {else}          
            {if !$project_use_currency}{* ------------- *}
                {assign var="fee_name" value="fee_wp{$sdd_pre}_`$allocation->id`"}   
            {else}{* $$$$$$$$$$$$$ *}
                {assign var="fee_name" value="fee_wp{$sdd_pre}_feeinternal_`$allocation->id`"}   
                {assign var="fee_otcurr_name" value="fee_wp{$sdd_pre}_`$allocation->id`"}
            {/if}
        {/if}
        {assign var="row_css" value=""}
        {if !isset($allocation->status)}
        {elseif $allocation->status == 10 || $allocation->status == 30}
            {$row_css = 'currently_inactive_state'}
        {else if $allocation->status == 40}
            {$row_css = 'inactive_state'}
        {/if}
        <tr class="{$row_css}" {if $fees_my_cost_centre_only && $allocation->cost_centre_id neq $staff_cost_centre_id}style="display:none; visibility: hidden; opacity: 0;"{$other_cost_centre++}{/if}>
            <td class="frst">
                {if $fee_id != 'add'}
                    {$allocation->full_name|replace:" ":"&nbsp;"}
                {else}
                    {$allocation->full_name|replace:" ":"&nbsp;"}
                {/if}
            </td>
            {if $show_wp_details && $has_quantity}
                <td class="othr costsrow" style="text-align: right;" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$allocation->wp_id}>
                    {include file='r/view-only.tpl' name={$fee_quantity_name} default="{if isset($allocation->quantity)}{islongfloat value=$allocation->quantity}{else}{islongfloat value=0}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td class="othr" style="text-align: left;">{if isset($allocation->quantity_name)}{$allocation->quantity_name}{/if}</td>
                <td class="othr costsrow" style="text-align: right;" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$allocation->wp_id}>
                    {include file='r/view-only.tpl' name={$fee_price_name} default="{if isset($allocation->price)}{islongfloat value=$allocation->price}{else}{islongfloat value=0}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {/if}
            {if !$project_use_currency}{* ------------- *}
                <td class="othr costsrow costsin" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={if $fee_id != 'add'}{$allocation->wp_id}{/if}>
                    {include file='r/table_input.tpl' name={$fee_name} class="numberi18n calculator {if !$allocation->object_is_editable}ignoredisabled{/if}" 
                        default="{if isset($allocation->costs)}{islongfloat value=$allocation->costs}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {else}{* $$$$$$$$$$$$$ *}
                <td class="othr costsrow" style="text-align: right;" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$allocation->wp_id}>
                    {include file='r/view-only.tpl' name={$fee_name} default="{if isset($allocation->costs)}{islongfloat value=$allocation->costs}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td class="othr" style="text-align: right;" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$allocation->wp_id}>
                    {include file='r/view-only.tpl' name='fees_exchange_rate' class='fees_exchange_rate {if !$allocation->object_is_editable}ignoredisabled{/if}' default={islongfloat value=1}}
                </td>
                <td class="othr costsrow costsin" data-is_editable="{$allocation->object_is_editable}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$allocation->wp_id}>
                    {include file='r/table_input.tpl' name={$fee_otcurr_name} class="numberi18n calculator {if !$allocation->object_is_editable}ignoredisabled{/if}" 
                        default="{if isset($allocation->costs_otcurr)}{islongfloat value=$allocation->costs_otcurr}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {/if}
        </tr>
    {/foreach}
    </tbody>
</table>
{if $other_cost_centre>0}
    <small>{sprintf($i.fees_my_cost_centre_only, $other_cost_centre)}</small>
{/if}
