<h2><em>{$i.masterdatamanagement_gp_basic}</em> - {$i.masterdatamanagement_update_widgets}</h2>

<div id="masterdatamanagement_update_widgets" style="overflow: auto;">
    <div class="ui-report-header ui-widget-header ui-corner-all">
        <a onclick="usComm.loadShowWait();openx('masterdatamanagement_update_widgets', 'index');" 
            class="dialog_make_text_btn ui-corner-all noprint">
             <span class="dialog_make_btn16 update ui-corner-all"></span>{$i.basic_update}
        </a> | 
        <a class="dialog_make_text_btn ui-corner-all" href="https://webservices.untermstrich.com/update/butler.4/" 
           onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 web_call"></span> Butler Updates herunterladen</a>
        <a class="dialog_make_text_btn ui-corner-all" href="https://webservices.untermstrich.com/h4/de:installation:ssl#update_des_servers" 
           onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> Server/PHP Update</a>
    </div>
</div>

{if isset($update_info_error)}
    <h2>{$i.basic_error}</h2>
    <p><span class="warningsmall">{$update_info_error} <a href="https://webservices.untermstrich.com/" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">Verfügbarkeit prüfen</a></span></p>
{else}
    <div id="butler_update_tabs">
        <style type="text/css" scoped>
            .butler_update_row {
                width: 100%; border-bottom:1px dashed lightgrey; min-height:50px; overflow:auto; padding: 3px; width: calc(100% - 10px); margin: 2px;
            }
            .butler_update_col1 {
                float:left; width: 60%
            }
            .butler_update_col1 .butler_update_title {
                font-size: 1.3em;
            }
            .butler_update_col2 {
                float: right; width: 40%; text-align:right
            }
        </style>
        <ul>
            <li><a href="#butler_update_tabs_update"><span>{$i.basic_update}</span></a></li>
            <li><a href="#butler_update_install"><span>{$i.masterdatamanagement_update_do}</span></a></li>
        </ul>
        {* - - - - - - - - - - - - - - - - - - - - - - - - UPDATE - - - - - - - - - - - - - - - - - - - - - - - - *}
        <div id="butler_update_tabs_update">
            {foreach from=$update_widgets key=widget_keyname item=widget}
                {$action_text = ''}
                {$action = FALSE}
                {$action_external = FALSE}
                {$need_action = TRUE}
                {$update_possible = TRUE}
                {if !$widget['_updateable']}
                    {$action_text = ''}{*}NO UPDATE AVAILABLE{*}
                    {$action = FALSE}
                    {$need_action = FALSE}
                {else}            
                    {if !$widget['_updateable_phpversion_ok']}
                        {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_php_version`: \"`$php_version`\" `$i.masterdatamanagement_update_widgets_requires`: \"`$widget['_updateable_phpminver']`\" - \"`$widget['_updateable_phpmaxver']`\"<br />"}
                        {$action = FALSE}
                        {$update_possible = FALSE}
                    {/if}            
                    {if !$widget['_updateable_minversion_ok']}
                        {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_us_version`\"`$us_version`\" `$i.masterdatamanagement_update_widgets_min_requires`:`$widget['_updateable_minver']`"}
                        {$action = FALSE}
                        {$update_possible = FALSE}
                    {/if}    
                    {if !$widget['_updateable_maxversion_ok']}
                        {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_us_version`\"`$us_version`\" `$i.masterdatamanagement_update_widgets_max_requires`:`$widget['_updateable_maxver']`"}
                        {$action = FALSE}
                        {$update_possible = FALSE}
                    {/if}

                    {if $update_possible}    
                        {if $widget['_updateable_new_version']}
                            {$action_text = $i.masterdatamanagement_update_widgets_update}
                            {$action = "{site_url url="/start/open/update/download_additional/`$xjxcookie`"}/`$widget_keyname`"}
                        {else}
                            {$action_text = $i.masterdatamanagement_update_widgets_reinstall}
                            {$action = "{site_url url="/start/open/update/download_additional/`$xjxcookie`"}/`$widget_keyname`"}
                            {if !isset($widget['error_msg']) || trim($widget['error_msg']) == ''}
                                {$need_action = FALSE}
                            {/if}
                        {/if}
                    {/if}    
                {/if}              

                <div class="butler_update_row" style="{if $need_action}background-color:#ff8383{/if}">
                    <div class="butler_update_col1">
                        <span class="butler_update_title">
                            {if isset($widget['title'])}
                                {$widget['title']}
                            {else}
                                {$widget['name']}
                            {/if}
                        </span>  
                        <br />
                        {if isset($widget['description']) && $widget['description'] != ''}
                            <br />
                            {$widget['description']}
                        {/if}
                        {if isset($widget['error_msg']) && $widget['error_msg'] != ''}
                            <br />
                            <span class="warningsmall ui-corner-all">{$widget['error_msg']}</span>
                        {/if}
                    </div>
                    <div class="butler_update_col2" {if !$has_admin_right}title="{$i.basic_no_access}"{/if}>
                        {if $action !== FALSE}
                            {if $has_admin_right}
                                <a onclick="window.open(this.href); return false;" 
                                   href="{$action}"
                                   class="dialog_make_text_btn ui-corner-all">
                                   <span class="dialog_make_btn16 {if $action_external}web_call{else}ok{/if}"></span>
                                   {$action_text}
                                </a>
                            {else}
                                <span class="notimp">{$action_text}</span>
                            {/if}
                             <br />
                        {elseif $action_text != ''}
                            {$action_text}
                            <br />
                        {/if}
                        {if $has_admin_right}
                            <a onclick="usComm.loadShowWait();openx('update', 'remove_additional', '{$widget_keyname}');"
                               class="dialog_make_text_btn ui-corner-all">
                               <span class="dialog_make_btn16 delete"></span>
                               {$i.masterdatamanagement_update_widgets_uninstall}
                            </a>
                        {/if}
                    </div>
                </div>
            {/foreach}
        </div>
        {* - - - - - - - - - - - - - - - - - - - - - - - - INSTALL - - - - - - - - - - - - - - - - - - - - - - - - *}    
        <div id="butler_update_install" class="ui-tabs-hide">
            {foreach from=$install_widgets key=widget_keyname item=widget}
                {$widget_name = str_replace('com_untermstrich_', '', $widget_keyname)}
                {$widget_name = ucfirst(str_replace('_', ' ', $widget_name))}
                {$action_text = null}
                {$action = FALSE}
                {$action_external = FALSE}
                {if !$widget['_installable_minversion_ok']}
                    {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_us_version`\"`$us_version`\" `$i.masterdatamanagement_update_widgets_min_requires`:`$widget['_installable_minver']`"}
                    {$action = FALSE}
                {/if}
                {if !$widget['_installable_maxversion_ok']}
                    {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_us_version`\"`$us_version`\" `$i.masterdatamanagement_update_widgets_max_requires`:`$widget['_installable_maxver']`"}
                    {$action = FALSE}
                {/if}
                {if !$widget['_installable_phpversion_ok']}
                    {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_php_version`: \"`$php_version`\" `$i.masterdatamanagement_update_widgets_requires`: \"`$widget['_installable_phpminver']`\" - \"`$widget['_installable_phpmaxver']`\"<br />"}
                    {$action = FALSE}
                {/if}
                {if !$widget['license']}
                    {$action_text = "`$action_text``$i.masterdatamanagement_update_widgets_buy_for_install`"}
                    {$action = 'https://kunden.untermstrich.com/butler-besondere.html'}
                    {$action_external = TRUE}
                {/if}

                {if $action_text === null}
                    {$action_text = $i.masterdatamanagement_update_widgets_install}
                    {$action = "{site_url url="/start/open/update/download_additional/`$xjxcookie`"}/`$widget_keyname`"}
                {/if}

                <div class="butler_update_row">
                    <div class="butler_update_col1">
                        <span class="butler_update_title">
                            {if isset($widget['title'])}
                                {$widget['title']}
                            {else}
                                {$widget['name']}
                            {/if}                    
                        </span>
                        <br />   

                        {if isset($widget['description']) && $widget['description'] != ''}
                            <br />
                            {$widget['description']}
                        {/if}                    
                        {if isset($widget['error_msg']) && $widget['error_msg'] != ''}
                            <br />
                            <span class="warningsmall ui-corner-all">{$widget['error_msg']}</span>
                        {/if}                    
                    </div>    
                    <div class="butler_update_col2" {if !$has_admin_right}title="{$i.basic_no_access}"{/if}>
                        {if $action !== FALSE}
                            {if $has_admin_right}
                            <a onclick="window.open(this.href); return false;"
                               href="{$action}"
                               class="dialog_make_text_btn ui-corner-all">
                               <span class="dialog_make_btn16 {if $action_external}web_call{else}ok{/if}"></span>
                               {$action_text}
                            </a>
                            {else}
                                <span class="notimp">{$action_text}</span>
                            {/if}
                        {else}
                            {$action_text}
                        {/if}
                    </div>                
                </div>    
            {/foreach}
        </div>
    </div>
{/if}
