{function name=print_log filename_to_type=false}
    <div class="story">
        {foreach from=$log_files item="log_file" key=cur_id}
            <h3>
            {if $filename_to_type}
                {if stripos($log_file.name, '_dav.php')!==false}{$i.masterdatamanagement_log_dav}
                {else if stripos($log_file.name, '_email.php')!==false}{$i.masterdatamanagement_log_email}
                {else if stripos($log_file.name, '_interfaces.php')!==false}{$i.masterdatamanagement_log_interfaces}
                {else}{$i.masterdatamanagement_log_general}{/if}
            {else}
                {$log_file.name}
            {/if}
            </h3>
            <pre id="log_file_{$cur_id}" style="max-height: 300px; overflow: scroll; font-size:0.8em;">{*
                *}{htmlentities($log_file.content)}{*
            *}</pre>
        {foreachelse}
            <p>
                {$i.basic_no_result1}
            </p>
        {/foreach}
    </div>
{/function}

<h2><em>{$i.masterdatamanagement_maintenance}</em> - {$i.masterdatamanagement_log_view}</h2>
<p>
    <span class="dialog_make_text_btn ui-corner-all" style="margin-right: 5px" onclick="$(this).hide(); masterdatamanagement.view('log_view', null, xajax.getFormValues('log_view_form'));">
        <span class="dialog_make_btn16 update ui-corner-all"></span>
        {$i.basic_update}
    </span>
    {if $us_rights_mode < 3}
    <span>
        <a href="{site_url url="/start/open/masterdatamanagement/index/`$xjxcookie`"}/web_config.system" class="dialog_make_text_btn ui-corner-all"
        onclick="window.open(this.href); return false;">
                {$i.basic_config} - {$i["masterdatamanagement_web_config.system"]}
        </a>
    </span>
    {/if}
</p>
<form id='log_view_form' style="margin-top: 10px;">
    {include file='r/input-staff_staff_grp.tpl' name="log_view_staff" 
        title="basic_staff" data=$staff_list default='' staff_inactive_icon=FALSE two_line=FALSE
        noempty=true deactivate_possible=true deactivate=true class="staff_inactive_icon"
        within_filter=true filter_extra="onchange='masterdatamanagement.view(\"log_view\", null, xajax.getFormValues(\"log_view_form\"));'"}  
    {include file='r/hidden.tpl' name="log_view_view_id" default=$view_id} 
</form>

<div id="md_log_views">
    <ul>
        <li><a href="#md_log_view_today"><span>{$i.masterdatamanagement_log_today}</span></a></li>
        <li><a href="#md_log_view_general"><span>{$i.masterdatamanagement_log_general}</span></a></li>
        <li><a href="#md_log_view_dav"><span>{$i.masterdatamanagement_log_dav}</span></a></li>
        <li><a href="#md_log_view_email"><span>{$i.masterdatamanagement_log_email}</span></a></li>
        <li><a href="#md_log_view_interfaces"><span>{$i.masterdatamanagement_log_interfaces}</span></a></li>
    </ul>

    <div id="md_log_view_today">{if $view_id==='md_log_view_today'}{print_log filename_to_type=true}{/if}</div>
    <div id="md_log_view_general">{if $view_id==='md_log_view_general'}{print_log}{/if}</div>
    <div id="md_log_view_dav">{if $view_id==='md_log_view_dav'}{print_log}{/if}</div>
    <div id="md_log_view_email">{if $view_id==='md_log_view_email'}{print_log}{/if}</div>
    <div id="md_log_view_interfaces">{if $view_id==='md_log_view_interfaces'}{print_log}{/if}</div>
</div>