<table>
    <thead>
        <tr>
            <th scope="col">{$i.filter_type}</th>
            <th scope="col">{$i.opentasks_todo_date}</th>
            <th scope="col">{$i.opentasks_active_from}</th>
            <th scope="col">{$i.opentasks_purpose}</th>
            <th scope="col">{$i.opentasks_description}</th>
            <th scope="col">{$i.opentasks_is_urgent}</th>
            <th scope="col" colspan="2">{$i.opentasks_project}</th>
            <th scope="col"><small>UID</small></th>
        </tr>
    </thead>
    <tbody>

    {foreach from=$events item=task key=count_id}
        {if $task->type eq 'opentasks'}
            <tr>
                <td>{$i.opentasks_task}</td>
                <td>
                    {$task->date_obj->us_date()}
                </td>
                <td>
                    {if $task->active_from_obj}{$task->active_from_obj->us_date()}{/if}
                </td>
                <td>
                    {$task->purpose|truncate:80|nl2br}
                </td>
                <td>
                    {$task->description|truncate:120|nl2br}
                </td>
                <td>
                    {urgent value=$task->is_urgent}
                </td>
                <td>
                    {include file='r/table_select.tpl' name="personalapp_opta_upload_project_`$count_id`" class="is_project required"
                        list=$projects_list id="id" text="project"
                        add_icons_file="project" filter_favourite_list=$projects_favourite_list}
                </td>
                    <td title="iCalendar {$i.personalapp_project}: {if isset($task->project_id)}{$task->project_id}{/if}">
                <td><small>{$task->sabre_uid}</small></td>
                </td>
            </tr>
        {/if}
    {foreachelse}
        <tr>
            <td colspan="9">
                <span class="warningsmall ui-corner-all">{$i.personalapp_nothing}</span>
            </td>
        </tr>
    {/foreach}

    </tbody>
</table>