<form method="post" action="" id="details_extras_calcexp_form" class="noprint biggerform" onsubmit="return false;">
    {include file='r/hidden.tpl' name="extras_calcexp_wp_id" default={$work_package_id}}
    
    {if !$has_extras_rates && !$has_trabel_rates}
        <div class="warningsmall ui-corner-all">{$i.offers_management_extras_calcexp_no_rates_warning}</div>
    {/if}
    
    {if $has_travel_rates}
        <fieldset class="borderbottom">
            <table style="margin: 5px 0px 0px 0px;" id="extras_calcexp_travel_rates">
            <colgroup>
                <col style="min-width: 20vw;" />
                <col style="min-width: 130px;" />
                <col style="min-width: 110px;" />
            </colgroup>
            <thead>
                <tr>
                    <th>{$i.offers_management_extras_calcexp_travel_title}</th>
                    <th>{$i.offers_management_extras_calcexp_quantity}</th>
                    <th>{$i.offers_management_extras_calcexp_rate}</th>
                    <th>{$i.offers_management_extras_calcexp_total}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="travel_rate" from=$travel_rates}
                <tr>
                    <td>
                        {$travel_rate->name_for}
                    </td>
                    <td class="quantityin" style="text-align: center;">
                        {include file='r/table_input.tpl' name="travel_calcexp_quantity_{$travel_rate->item_id}" class="numberi18n t-smaller" 
                            default="{if isset($travel_rate->quantity)}{islongfloat value=$travel_rate->quantity}{else}{islongfloat value=0}{/if}"
                            filter_extra="onchange='offers_management.fee_allocation.update_extras_calcexp(\"travel\");'"
                            readonly=$disabled}
                    </td>
                    <td style="text-align: center;">
                        {include file='r/view-only.tpl' name="travel_calcexp_rate_{$travel_rate->item_id}"
                            default="{if isset($travel_rate->rate)}{islongfloat value=$travel_rate->rate}{else}{islongfloat value=0}{/if}"}
                    </td>
                    <td>
                        {include file='r/view-only.tpl' name="travel_calcexp_total_{$travel_rate->item_id}"
                            default={islongfloat value=0}}
                    </td>
                </tr>
                {/foreach}
                <tr>
                    <td colspan="20">&nbsp;</td>
                </tr>
                <tr class="sum_row">
                    <td colspan="3">{$i.offers_management_extras_calcexp_travel_total_sum}</td>
                    <td>
                        {include file='r/view-only.tpl' name="travel_calcexp_total_sum" default={islongfloat value=0}}
                    </td>
                </tr>
            </tbody>
            </table>
        </fieldset>
    {/if}
    
    {if $has_extras_rates}
        <fieldset class="borderbottom">
            <table style="margin: 5px 0px 0px 0px;" id="extras_calcexp_extras_rates">
            <colgroup>
                <col style="min-width: 20vw;" />
                <col style="min-width: 130px;" />
                <col style="min-width: 110px;" />
            </colgroup>
            <thead>
                <tr>
                    <th>{$i.offers_management_extras_calcexp_extras_title}</th>
                    <th>{$i.offers_management_extras_calcexp_quantity}</th>
                    <th>{$i.offers_management_extras_calcexp_rate}</th>
                    <th>{$i.offers_management_extras_calcexp_total}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="extras_rate" from=$extras_rates}
                <tr>
                    <td>
                        {$extras_rate->name_for}
                    </td>
                    <td class="quantityin" style="text-align: center;">
                        {include file='r/table_input.tpl' name="extras_calcexp_quantity_{$extras_rate->item_id}" class="numberi18n t-smaller" 
                            default="{if isset($extras_rate->quantity)}{islongfloat value=$extras_rate->quantity}{else}{islongfloat value=0}{/if}"
                            filter_extra="onchange='offers_management.fee_allocation.update_extras_calcexp(\"extras\");'"
                            readonly=$disabled}
                    </td>
                    <td style="text-align: center;">
                        {include file='r/view-only.tpl' name="extras_calcexp_rate_{$extras_rate->item_id}"
                            default="{if isset($extras_rate->rate)}{islongfloat value=$extras_rate->rate}{else}{islongfloat value=0}{/if}"}
                    </td>
                    <td>
                        {include file='r/view-only.tpl' name="extras_calcexp_total_{$extras_rate->item_id}"
                            default={islongfloat value=0}}
                    </td>
                </tr>
                {/foreach}
                <tr>
                    <td colspan="20">&nbsp;</td>
                </tr>
                <tr class="sum_row">
                    <td colspan="3">{$i.offers_management_extras_calcexp_extras_total_sum}</td>
                    <td>
                        {include file='r/view-only.tpl' name="extras_calcexp_total_sum"
                            default={islongfloat value=0}}
                    </td>
                </tr>
            </tbody>
            </table>
        </fieldset>
    {/if}
</form>