<fieldset id="staffadmin_password_area_add" class="noborder sepnext">
    {include file='r/password.tpl' name="staffadmin_password" title="staffadmin_password" collapse='formcoll' class="required us_password"}
    {include file='r/password.tpl' name="staffadmin_confirmed_password" title="staffadmin_confirmed_password" collapse='formcoll' class="required us_password"}
</fieldset>
<fieldset id="staffadmin_password_area_edit" class="noborder sepnext">
    <p class="formstyle formcoll">
        <a onclick="staffadmin.change_password();" class="dialog_make_text_btn ui-corner-all">
            {$i.basic_change_pwd}
        </a>
        {if $enable_2fa_login}
            <a onclick="staffadmin.disable_2fa();" class="dialog_make_text_btn ui-corner-all">
                {$i.staffadmin_disable_2fa}
            </a>
        {/if}
    </p>
    <p id="change_rest_to_standard_user" class="formstyle formcoll" style="display:none">
        <a onclick="staffadmin.change_rest_to_standard_user();" class="dialog_make_text_btn ui-corner-all">
            {$i.staffadmin_remove_rest_right}
        </a>
    </p>        
</fieldset>

<fieldset class="noborder rights_select ui-widget-header ui-corner-all" style="padding-bottom: 2px; padding-top: 3px;">
    {include file='r/select.tpl' name="staffadmin_safety_profile" title="staffadmin_safety_profile" collapse='formcoll'
        list=$safety_profile_list id="id" text="name" noempty=TRUE add_icons_file="staffadmin_reset_safety_profile"}
    
    <p class="formstyle formcoll">
        <a onclick="staffadmin.get_security_from_user();" class="dialog_make_text_btn ui-corner-all" style="padding:2px; line-height: normal;">
            <span class="dialog_make_btn16 security_settings_staff ui-corner-all" title="{$i.staffadmin_take_employees_safty_settings}"></span>
            {$i.staffadmin_take_employees_safty_settings}
        </a>
    </p>
</fieldset>
        
<fieldset class="noborder">
    {if $install_named_licenses>0}
        {include file='r/radio.tpl' name="staffadmin_named_license"
            list=$named_licenses_list id="id" text="name" default=''
            title="staffadmin_named_user_license"
            add_icons_file='basic_icon' add_icons_class='dialog_make_btn16 info' 
            add_icons_title=$i.staffadmin_named_user_license1 add_icons_onclick="alert('{$i.staffadmin_named_user_license1}')"}
    {/if}
    {if $install_user_access_licenses>0}
        {include file='r/checkbox.tpl' name="staffadmin_user_access_license"
            title="staffadmin_user_access_license"
            add_icons_file='basic_icon' add_icons_class='dialog_make_btn16 info' 
            add_icons_title=$i.staffadmin_named_user_license1 add_icons_onclick="alert('{$i.staffadmin_user_access_license} = {$i.staffadmin_named_user_license1}')"}
    {/if}
</fieldset>

<fieldset class="bordertop rights_select">
    <legend class="header1 ui-corner-all">{$i.basic_basis}</legend>
    {include file='r/select.tpl' name="staffadmin_security_2" title="basic_projectadmin" list=$rights_list_projectadmin id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->projectadmin eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_4" title="basic_staffadmin" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->staffadmin eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_11" title="basic_addressesandcontacts" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->addressesandcontacts eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_6" title="basic_masterdatamanagement" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->masterdatamanagement eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_41" title="basic_logoutusers" list=$rights_list id="id" text="name" collapse='formcoll' class="required" noempty=TRUE}
</fieldset>

<fieldset class="bordertop rights_select">
    <legend class="header2 ui-corner-all">{$i.basic_controlling}</legend>
    {include file='r/select.tpl' name="staffadmin_security_1" title="basic_workinput" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->workinput eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_7" title="basic_timelogging" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->timelogging eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_16" title="basic_feeadmin" list=$rights_list_feeadmin id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->feeadmin eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_5" title="basic_externalexpenses" list=$rights_list_externalexpenses id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->externalexpenses eq 100}notbought{/if}" noempty=TRUE}
    <hr>
    {include file='r/select.tpl' name="staffadmin_security_3" title="basic_projectevaluation" list=$rights_list_projectevaluation id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->projectevaluation eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_46" title="basic_controlpanel" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->projectdeskpanel eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_38" title="basic_calculateaccordingexpenditure" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->calculateaccordingexpenditure eq 100}notbought{/if}" noempty=TRUE}
</fieldset>

<fieldset class="bordertop rights_select">
    <legend class="header3 ui-corner-all">{$i.basic_appointments}</legend>
    {include file='r/select.tpl' name="staffadmin_security_12" title="basic_opentasks" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->opentasks eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_9" title="basic_personalappointmentplaner" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->personalappointmentplaner eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_45" title="basic_holidayadmin" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->holidayadmin eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_42" title="portlet_resource_planner" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->resourceplanner eq 100}notbought{/if}" noempty=TRUE}
</fieldset>

<fieldset class="bordertop rights_select">
    <legend class="header4 ui-corner-all">{$i.basic_documentation}</legend>
    {include file='r/select.tpl' name="staffadmin_security_10" title="basic_correspondence" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->correspondence__bought eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_13" title="basic_drawingandproductdirectory" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->drawingandproductdirectory eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_14" title="basic_drawingandproductinandout" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->drawingandproductinandout eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_15" title="basic_mailinboxandoutbox" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->mailinboxandoutbox eq 100}notbought{/if}" noempty=TRUE}
</fieldset>

<fieldset class="bordertop rights_select">
    <legend class="header5 ui-corner-all">{$i.basic_info}</legend>
    {include file='r/select.tpl' name="staffadmin_security_49" title="basic_datacollection" list=$rights_list id="id" text="name" collapse='formcoll' class="required" noempty=TRUE}
    {if $staffadmin_right_dataadmin neq 100}
        {include file='r/select.tpl' name="staffadmin_security_8" title="basic_dataadmin" list=$rights_list id="id" text="name" collapse='formcoll' class="required deprecated"  labelclass="label1 deprecated" noempty=TRUE}
    {else}
        {include file='r/hidden.tpl' name="staffadmin_security_8" default="99"}
    {/if}
    {include file='r/select.tpl' name="staffadmin_security_22" title="basic_whatiswhere" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->whatiswhere eq 100}notbought{/if}" noempty=TRUE}
    {include file='r/select.tpl' name="staffadmin_security_24" title="basic_mobilesynchronisation" list=$rights_list id="id" text="name" collapse='formcoll' class="required {if $staffadmin_rights->mobilesynchronisation eq 100}notbought{/if}" noempty=TRUE}
</fieldset>

<fieldset class="bordertop rights_select">
    {include file='r/select.tpl' name="staffadmin_security_44" title="basic_reportdesign" list=$rights_list id="id" text="name" collapse='formcoll' class="required" noempty=TRUE}
    <p class="formcoll">
        <a href="https://webservices.untermstrich.com/h4/{$language_short}:basics:basics:security" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
            <span class="dialog_make_btn16 help"></span>
            {$i.staffadmin_security_matrix}
        </a>
    </p>
</fieldset>

{if $staffadmin_only_same_mgmt}
    <fieldset class="bordertop" style="padding-bottom: 0;">
        <p>
            <span class="warningsmall ui-corner-all">
                {$i.masterdatamanagement_staffadmin_only_same_mgmt}.
                {if $staffadmin_staff_right>=1}
                    {assign var="titlekey" value="rights_r`$staffadmin_staff_right`"}
                    <span class="info ui-corner-all">{$i.basic_right}: {$i.$titlekey}</span>
                {/if}
            </span>
        </p>
    </fieldset>
{/if}

<fieldset class="blockhalf leftblock">
    {include file='r/checkbox.tpl' name="staffadmin_is_project_manager"
        title="staffadmin_is_project_manager"}
    {include file='r/select.tpl' name="staffadmin_project_manager"
        title="staffadmin_project_manager" list=$project_manager_list id="id" text="staff_name"
        add_icons_file="allow_select_project_manager"
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_respect_project_manager"
        title="staffadmin_respect_project_manager"
        add_icons_file='basic_icon' add_icons_class='dialog_make_btn16 info' 
        add_icons_title=$i.staffadmin_respect_project_manager1 add_icons_onclick="alert('{$i.staffadmin_respect_project_manager} = {$i.staffadmin_respect_project_manager1}')"
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_allow_staff_even_if_not_by_project_manager"
        title="staffadmin_allow_staff_even_if_not_by_project_manager"
        add_icons_file='basic_icon' add_icons_class='dialog_make_btn16 info' 
        add_icons_title=$i.staffadmin_allow_staff_even_if_not_by_project_manager1 add_icons_onclick="alert('{$i.staffadmin_allow_staff_even_if_not_by_project_manager} = {$i.staffadmin_allow_staff_even_if_not_by_project_manager1}')"
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_allow_own_project_if_other_project_manager"
        title="staffadmin_allow_own_project_if_other_project_manager"
        add_icons_file='basic_icon' add_icons_class='dialog_make_btn16 info' 
        add_icons_title=$i.staffadmin_allow_own_project_if_other_project_manager1 add_icons_onclick="alert('{$i.staffadmin_allow_own_project_if_other_project_manager} = {$i.staffadmin_allow_own_project_if_other_project_manager1}')"
        labelclass="label2"}
</fieldset>

<fieldset class="blockhalf rightblock">
    {include file='r/checkbox.tpl' name="staffadmin_is_division_manager"
        title={$title_is_division_manager}}
    {include file='r/select.tpl' name="staffadmin_division_manager"
        title=$title_division_manager list=$division_manager_list id="id" text="staff_name"
        add_icons_file="allow_select_division_manager"
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_respect_division_manager"
        title=$title_respect_division_manager
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_allow_staff_even_if_not_by_division_manager"
        title=$title_allow_staff_even_if_not_by_division_manager
        labelclass="label2"}
    {include file='r/checkbox.tpl' name="staffadmin_allow_own_project_if_other_division_manager"
        title="staffadmin_allow_own_project_if_other_division_manager"
        labelclass="label2"}
</fieldset>

<fieldset class="noborder">
    <div class="warningsmall ui-corner-all">{$title_respect_both_manager}</div>
</fieldset>

{if $multitenancy_info->can_set_superuser()}
    <fieldset class="bordertop">
        {include file='r/checkbox.tpl' name="staffadmin_is_superuser"
        title="basic_superuser" labelclass="label2"}
    </fieldset>
{/if}
    
<fieldset class="bordertop">
{include file='r/input.tpl' name="staffadmin_change_days_past"
    title="staffadmin_change_days_past2" labelclass="label2"}
{include file='r/input.tpl' name="staffadmin_days_warning_no_workinput"
    title="staffadmin_days_warning_no_workinput" labelclass="label2"}    
    <hr>
{include file='r/input.tpl' name="staffadmin_days_warning_no_mail_allocation"
    title="staffadmin_days_warning_no_mail_allocation" labelclass="label2"}    
</fieldset>
<fieldset class="bordertop">
    {include file='r/select.tpl' name="staffadmin_sync_only_category_addresses" title="staffadmin_sync_only_category_addresses"
        list=$addr_category_list id="id" text="name" labelclass="label4"}
</fieldset>
