<table style="margin-bottom: 80px;" class="col2btn">
    {if $staff->photo_file_uri neq ''}
        <tr>
            <td>{$i.staffadmin_photo_file}</td>
            <td>
                <span class="preview">
                        {img_html uri=$staff->photo_file_uri class='photo ui-corner-all'}
                </span>
            </td>
        </tr>
    {/if}
    <tr>
        <td>{$i.staffadmin_staff_name}</td>
        <td>{$staff->staff_name}</td>
    </tr>
    {if $has_mgmt_right}
        <tr>
            <td>{$i.staffadmin_username}</td>
            <td>
                {if $staff->username neq ''}
                    {$staff->username}
                {else}
                    <a href="javascript:staffadmin.autogen_user()" class="dialog_make_text_btn ui-corner-all">{$i.staffadmin_autogen_user}</a>
                {/if}
            </td>
        </tr>
        {if $staff->gender neq ''}
            <tr>
                <td>{$i.staffadmin_gender2}</td>
                <td>{$staff->gender}</td>
            </tr>
        {/if}
        {if $staff->street neq ''}
            <tr>
                <td>{$i.staffadmin_street}</td>
                <td>{$staff->street}</td>
            </tr>
        {/if}
        {if $staff->zip_code neq '' || $staff->town neq ''}
            <tr>
                <td>{$i.staffadmin_zip_code} / {$i.staffadmin_town}</td>
                <td>{$staff->zip_code} {$staff->town}</td>
            </tr>
        {/if}
        {if $staff->phone_1 neq ''}
            <tr>
                <td>
                    {$i.staffadmin_phone_1}
                </td>
                <td class="tel">
                    {$staff->phone_1|toskypehone}{*
                    *}{$staff->phone_1|tocallphone:$staff_sys_phone:$i:1}{*
                    *}{if !$staff_sys_tapi_data}{$staff->phone_1|totapiphone:$staff_sys_phone}{else}{*
                    *}{$staff->phone_1|totapiphone2:$staff_sys_phone}{/if}
                    <span class="type" style="display: none;">tel1</span>
                    <span class="value">
                    {if empty($staff_sys_phone.part1) || $call_is_mobile}
                        {$staff->phone_1|torealphone}
                    {else}
                        {$staff->phone_1|tocallphone:$staff_sys_phone:$i:0}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $staff->phone_2 neq ''}
            <tr>
                <td>
                    {$i.staffadmin_phone_2}
                </td>
                <td class="tel">
                    {$staff->phone_2|toskypehone}{*
                    *}{$staff->phone_2|tocallphone:$staff_sys_phone:$i:1}{*
                    *}{if !$staff_sys_tapi_data}{$staff->phone_2|totapiphone:$staff_sys_phone}{else}{*
                    *}{$staff->phone_2|totapiphone2:$staff_sys_phone}{/if}
                    <span class="type" style="display: none;">tel2</span>
                    <span class="value">
                    {if empty($staff_sys_phone.part1) || $call_is_mobile}
                        {$staff->phone_2|torealphone}
                    {else}
                        {$staff->phone_2|tocallphone:$staff_sys_phone:$i:0}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $staff->fax neq ''}
            <tr>
                <td>
                    {$i.staffadmin_fax}
                </td>
                <td class="tel">
                    {$staff->fax|toskypehone}{*
                    *}{$staff->fax|tocallphone:$staff_sys_phone:$i:1}{*
                    *}{if !$staff_sys_tapi_data}{$staff->fax|totapiphone:$staff_sys_phone}{else}{*
                    *}{$staff->fax|totapiphone2:$staff_sys_phone}{/if}
                    <span class="type" style="display: none;">fax</span>
                    <span class="value">
                    {if empty($staff_sys_phone.part1) || $call_is_mobile}
                        {$staff->fax|torealphone}
                    {else}
                        {$staff->fax|tocallphone:$staff_sys_phone:$i:0}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $staff->insurance_no neq ''}
            <tr>
                <td>{$i.staffadmin_insurance_no}</td>
                <td>{$staff->insurance_no}</td>
            </tr>
        {/if}
        {if !empty($staff->birthday) && !$staff->birthday->is_null()}
            <tr>
                <td>{$i.staffadmin_birthday}</td>
                <td>{$staff->birthday->us_date()}</td>
            </tr>
        {/if}
        {if !empty($staff->start_date) && !$staff->start_date->is_null()}
            <tr>
                <td>{$i.staffadmin_start_date2}</td>
                <td>{$staff->start_date->us_date()}</td>
            </tr>
        {/if}
        {if !empty($staff->end_date) && !$staff->end_date->is_null()}
            <tr>
                <td>{$i.staffadmin_end_date2}</td>
                <td>{$staff->end_date->us_date()}</td>
            </tr>
        {/if}
        <tr>
            <td>{$i.staffadmin_gross_hourly_wage}</td>
            <td>
                {$i.basic_today}: {float_to_usnumber($staff_gross_hourly_wage)}
            </td>
        </tr>
        {if isset($staff_cost_centre)}
            <tr>
                <td>{$i.staffadmin_cost_centre}</td>
                <td>
                    {$i.basic_today}: {$staff_cost_centre->name}
                </td>
            </tr>
        {/if}
        {if $staff->company_name neq ''}
            <tr>
                <td>{$i.staffadmin_company}</td>
                <td>{$staff->company_name}</td>
            </tr>
        {/if}
        {if $staff->location_name neq ''}
            <tr>
                <td rowspan="2">{$i.staffadmin_staff_location}</td>
                <td>
                    {$staff->location_name} [{$staff->staff_location_id}]
                </td>
            </tr>
            <tr>
                <td>
                    {$staff->location_address|nl2br}
                </td>
            </tr>
        {/if}
        {if $staff->remark neq ''}
            <tr>
                <td>{$i.staffadmin_remark}</td>
                <td>{$staff->remark|truncate:120:"..."}</td>
            </tr>
        {/if}
        {if $staff->bank_code neq ''}
            <tr>
                <td>{$i.staffadmin_bank_code}</td>
                <td>{$staff->bank_code}</td>
            </tr>
        {/if}
        {if $staff->bank_name neq ''}
            <tr>
                <td>{$i.staffadmin_bank_name}</td>
                <td>{$staff->bank_name}</td>
            </tr>
        {/if}
        {if $staff->account_no neq ''}
            <tr>
                <td>{$i.staffadmin_account_no}</td>
                <td>{$staff->account_no}</td>
            </tr>
        {/if}
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        {if $staff->abbreviation neq ''}
            <tr>
                <td>{$i.staffadmin_abbreviation}</td>
                <td>{$staff->abbreviation}</td>
            </tr>
        {/if}
    {/if}
    <tr>
        <td>{$i.staffadmin_direct_dial}</td>
        <td>
            {if $staff->direct_dial neq ''}
                {$staff->direct_dial}
            {else}
                {if $has_mgmt_right && $staff->object_is_editable}
                    <span class="dialog_make_btn16 edit mobile_big24 smallbtns ui-corner-all frstbtn"
                        onclick="staffadmin.open({$staff->id}, false, '({$staff->id})');"
                        title="{$i.basic_edit}"></span>
                {/if}
                <div class="dialog_make_btn14 no ui-corner-all"></div>
            {/if}
        </td>
    </tr>
    {if $has_mgmt_right}
        <tr>
            <td>{$i.staffadmin_email}</td>
            <td>
                {if $staff->email neq ''}
                    <a href="{emailsimple email=$staff->email staff_id=$staff->id}" class="email frstbtn frstbtnflt"><span class="dialog_make_btn16 email smallbtns ui-corner-all"></span></a>
                    <a href="{emailsimple email=$staff->email staff_id=$staff->id}" class="email">{$staff->email}</a>&nbsp; 
                    <a href="{emailsimple email=$staff->email staff_id=$staff->id force_mailto=true}" class="email dialog_make_text_btn text_btn_small ui-corner-all">mailto:</a>
                {else}
                    <div class="dialog_make_btn14 urgent1_warn ui-corner-all"></div>
                {/if}
            </td>
        </tr>
        {if $staff->annex neq ''}
            <tr>
                <td>{$i.staffadmin_annex}</td>
                <td>{$staff->annex|truncate:80:"..."}</td>
            </tr>
        {/if}
        <tr style="border-bottom: 0px none;">
            <td colspan="2" style="border-bottom: 0px none;"></td>
        </tr>
        {if $staff->is_project_manager}
            <tr>
                <td>{$i.staffadmin_is_project_manager}</td>
                <td>
                    {boolview value=TRUE} 
                    {if $staff->project_manager_id neq $staff->id}<small>({$staff->project_manager_name})</small>{/if}
                </td>
            </tr>
            {if $staff->allow_staff_even_if_not_by_project_manager}
                <tr>
                    <td>{$i.staffadmin_allow_staff_even_if_not_by_project_manager}</td>
                    <td>{boolview value=TRUE}</td>
                </tr>
            {/if}
            {if $staff->allow_own_project_if_other_project_manager}
                <tr>
                    <td>{$i.staffadmin_allow_own_project_if_other_project_manager}</td>
                    <td>{boolview value=TRUE}</td>
                </tr>
            {/if}
        {else if $staff->project_manager_name neq ''}
            <tr>
                <td>{$i.staffadmin_project_manager}</td>
                <td>{$staff->project_manager_name}</td>
            </tr>
        {/if}
        {if $staff->is_division_manager}
            <tr>
                <td>{$title_is_division_manager}</td>
                <td>
                    {boolview value=TRUE} 
                    {if $staff->division_manager_id neq $staff->id}<small>({$staff->division_manager_name})</small>{/if}
                </td>
            </tr>
            {if $staff->allow_staff_even_if_not_by_division_manager}
                <tr>
                    <td>{$title_allow_staff_even_if_not_by_division_manager}</td>
                    <td>{boolview value=TRUE}</td>
                </tr>
            {/if}
            {if $staff->allow_own_project_if_other_division_manager}
                <tr>
                    <td>{$i.staffadmin_allow_own_project_if_other_division_manager}</td>
                    <td>{boolview value=TRUE}</td>
                </tr>
            {/if}
        {else if $staff->division_manager_name neq ''}
            <tr>
                <td>{$title_division_manager}</td>
                <td>{$staff->division_manager_name}</td>
            </tr>
        {/if}
        <tr style="border-top: 0px none;">
            <td colspan="2" style="border-top: 0px none;"></td>
        </tr>
        <tr>
            <td>{$i.basic_license}</td>
            <td>
                {if $staff->user_is_management_user}{$i.staffadmin_management_user_license}<br />{/if}
                {if $staff->user_is_simple_user}{$i.staffadmin_simple_user_license}<br />{/if}
                {if !$staff->user_access_license_changed_date->is_null()}{$i.staffadmin_user_access_license}<br />{/if}
            </td>
        </tr>
        <tr>
            <td colspan="2">{$i.basic_rights}</td>
        </tr>
        <tr>
            <td colspan="2">
                {include file='Staffadmin/rights_only.tpl' inline_mode=true}
            </td>
        </tr>
        {if $staff->sync_only_category_addresses}
            <tr>
                <td>{$i.staffadmin_sync_only_category_addresses}</td>
                <td>{if isset($staff->sync_only_category)}{$staff->sync_only_category->name}{/if}</td>
            </tr>     
        {/if}
        <tr>
            <td>{$i.basic_created_by}</td>
            <td>{$staff->created_by_name}</td>
        </tr>     
        <tr>
            <td>{$i.basic_created_date}</td>
            <td>{$staff->created_date->us_date()}</td>
        </tr>    
        <tr>
            <td>
                {$i.basic_changed_by}
            </td>
            <td>{$staff->changed_by_name}</td>
        </tr>      
        <tr>
            <td>{$i.basic_change_date}</td>
            <td>{$staff->change_date->us_date()}</td>
        </tr>
    {/if}

    {foreach from=$staff->addi_fields item=field}
        <tr>
            {if $field->type eq US_exmodel::T_BLOCK}
                <th colspan="2" style="text-align:center; {if isset($field->color)}background:{$field->color}{/if}">{$field->name}</th>
            {else}
                <td style="{if isset($field->color)}background:{$field->color}{/if}">{$field->name}</td>
                <td>
                    {assign var='field_id' value=$field->field}
                    {addiview field=$field value=$staff->$field_id item=$staff}
                </td>
            {/if}
        </tr>
    {/foreach}
    
    {if $has_mgmt_right}
        <tr>
            <td>
                {$i.addresses_relations}
            </td>
            <td>
                <div class="many">
                    {foreach from=$relations item=relation}
                            <p id="inforight_address_relation_{$relation->id}" {relation_link relation=$relation from_persapp=TRUE}>
                                {$relation->title|truncate:35:"..."}
                                {include file='Addressesandcontacts/_relation_tooltip.tpl' id="inforight_address_relation_{$relation->id}" data=$relation lang=$i}
                            </p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
    {/if}
</table>
