<div class="rightblockcontent-element">
    <h2>{$i.auth_user}</h2>
    <p>
        {$userinfo.staff_name} [{$userinfo.staff_id}]
    </p>
    <p>
        {$i.auth_username}: {$userinfo.username}
    </p>
    {if isset($si_active_uniqid)}
        <p style="opacity: 0.7; transform: scale(0.7); transform-origin: left top;" title="uniqid">
            <small>{$si_active_uniqid}</small>
        </p>
    {/if}
</div>

{if $userinfo.user_is_management_user || $userinfo.user_is_simple_user}
<div class="rightblockcontent-element">
    <h2>{$i.basic_license}</h2>
    <ul style="list-style-type: none;">
        <li>
            {if $userinfo.user_is_management_user}{$i.rights_management_user_license}<br />{/if}
            {if $userinfo.user_is_simple_user}{$i.rights_simple_user_license}<br />{/if}
        </li>
    </ul>
</div>
{/if}

<div class="rightblockcontent-element">
    <h2>{$i.basic_rights}</h2>
    <ul style="list-style-type: none;">
        {include file='User_options/rights_only.tpl'}
    </ul>
</div>

<div class="rightblockcontent-element">
    <ul style="list-style-type: none;">
        <li>
            {$i.safety_profile_project_manager}:
            {if isset($project_manager_data)}{$project_manager_data->staff_name}{else}{boolview value=false}{/if}
        </li>
        <li>
            {$i.safety_profile_is_project_manager}:
            {if $userinfo.is_project_manager}{boolview value=true}{else}{boolview value=false}{/if}
        </li>
        <li>
            {$i.safety_profile_respect_project_manager}:
            {if $userinfo.respect_project_manager}{boolview value=true}{else}{boolview value=false}{/if}
        </li>
        {if $userinfo.is_project_manager}
            <li>
                {$i.safety_profile_allow_staff_even_if_not_by_project_manager}:
                {if $userinfo.allow_staff_even_if_not_by_project_manager}{boolview value=true}{else}{boolview value=false}{/if}
            </li>
            <li>
                {$i.safety_profile_allow_own_project_if_other_project_manager}:
                {if $userinfo.allow_own_project_if_other_project_manager}{boolview value=true}{else}{boolview value=false}{/if}
            </li>
        {/if}
    </ul>
</div>
        
<div class="rightblockcontent-element">
    <ul style="list-style-type: none;">
        <li>
            {$title_division_manager}:
            {if isset($division_manager_data)}{$division_manager_data->staff_name}{else}{boolview value=false}{/if}
        </li>
        <li>
            {$title_is_division_manager}:
            {if $userinfo.is_division_manager}{boolview value=true}{else}{boolview value=false}{/if}
        </li>
        <li>
            {$title_respect_division_manager}:
            {if $userinfo.respect_division_manager}{boolview value=true}{else}{boolview value=false}{/if}
        </li>
        {if $userinfo.is_division_manager}
            <li>
                {$title_allow_staff_even_if_not_by_division_manager}:
                {if $userinfo.allow_staff_even_if_not_by_division_manager}{boolview value=true}{else}{boolview value=false}{/if}
            </li>
            <li>
                {$i.safety_profile_allow_own_project_if_other_division_manager}:
                {if $userinfo.allow_own_project_if_other_division_manager}{boolview value=true}{else}{boolview value=false}{/if}
            </li>
        {/if}
    </ul>
</div>
        
<div class="rightblockcontent-element">
    <ul style="list-style-type: none;">
        <li>
            {$i.basic_superuser}:
            {if $si_multitenancy_info->getIs_superuser()}{boolview value=true}{else}{boolview value=false}{/if}
        </li>
    </ul>
</div>
