{include file='q_basic/header.tpl' login_page=true}

<div class="dashboard__containerTop">
    {if $agent_browser_ieold}
        <p class="errorbig ui-corner-all">
            {$i.basic_old_ie5}<br />
            {$i.basic_old_ie5_wrong}
        </p>
    {/if}
    {if $agent_browser_ie || $agent_browser_ieold || $agent_browser_edge}
        <p class="errorbig ui-corner-all">
            {if $agent_browser_edge}{$i.basic_old_edge}{else}{$i.basic_old_ie5}{/if}<br />
            {$i.basic_old_ie_links1}
            <a href="http://www.mozilla-europe.org/de/firefox/">Firefox</a>,
            <a href="http://www.google.de/chrome">Google Chrome</a>,
            <a href="http://www.opera.com/browser/">Opera</a>.
        </p>
    {/if}
    {if $agent_browser_is_really_old}
        <p class="errorbig ui-corner-all">
            {$i.basic_old_any}<br />
            <small>{$agent_browser} {$agent_version}: {$agent_agent}</small>
        </p>
    {/if}

    <noscript>
        <div class="story">
            <p class="errorbig ui-corner-all">
                {$i.pages_noscript_head}
            </p>
            <p>{$i.pages_noscript|markdown}</p>
        </div>
    </noscript>

    {is_https_active_assign}
    {if $https_warning && !$https_active}
        <div id="httpswarn" class="warningsmall ui-corner-all">
            <span style="display: inline-block; padding-bottom: 5px;">{$i.pages_no_https|markdown}</span>
            <a href="{site_url url="auth/login" https=1}">{$i.pages_https_login}</a>
        </div>
    {else}
        <br />
    {/if}

    {if isset($pre_login_message)}
        <div class="p-inline-message p-component p-inline-message-info p-inline-message-icon-only message__container">
            {$pre_login_message}
        </div>
    {/if}

    {if isset($error_main)}
        {foreach from=$error_main item='error'}
            <div class="p-inline-message p-component p-inline-message-info p-inline-message-icon-only message__container" role="alert">
                <span class="dialog_make_btn32 error ui-corner-all"></span>{$error}
            </div>
        {/foreach}
    {/if}
    <div class="p-inline-message p-component p-inline-message-info p-inline-message-icon-only message__container" id="caps_is_on" style="display: none; margin: 0 8%;">{$i.auth_caps_on}</div>
</div>

<div id="mainblock" class="dashboard__containerBottom" style="grid-template-columns: 1fr; margin: 80px; width: calc(100% - 160px);">
    <form action="{site_url url="auth/login/`$login_segment3`/`$login_segment4`"}" method="post">
        <div class="form__fieldContainer" style="padding-bottom: 15px;">
            {if $login_force_username}
                {include file='r/input.tpl' name="login_username" title="auth_username" default=$staff_last_login_name
                    class="input__input t-mid" formcol="input__container"}
            {else}
                {include file='r/select.tpl' name="login_userid" title="auth_user"
                    list=$staff_list id="id" text="fullname" default=$staff_last_login
                    class="input__input t-mid" formcol="dropdown__container"}
            {/if}
        </div>
        <div class="form__fieldContainer">
            {include file='r/password.tpl' name="login_password" title="auth_password" 
                class="us_password input__input t-mid"  filter_extra='autocomplete="off"'
                filter_extra='autofocus="autofocus"' formcol="input__container"}
        </div>
        {if $enable_2fa_login}
            {include file='r/input.tpl' name="login_otp_code" title="auth_the_2fa"
            maxlength=10 default='' class="input__input t-mid" formcol="input__container"}
        {/if}
        <input type="hidden" name="login_id" value="{$auth_login_hash}" />
        <div class="form__buttonsContainer" id="login_btns">
            <input type="submit" value="{$i.auth_log_in}" class="p-button p-component button__button form__button form__button--submit button__button--primary p-c">
            </input>
        </div>
    </form>
</div>


{if $nightly_shall_run}
    <object id="nightly_run" type="text/html" data="{site_url url='/nightly'}" style="height:3px; width:3px;"></object>
{/if}
{if $nightlycheck_shall_run}
    <object id="nightly_run" type="text/html" data="{site_url url='/nightlycheck'}" style="height:3px; width:3px;"></object>
{/if}
{if $nightlyworkhours_shall_run}
    <object id="nightly_run" type="text/html" data="{site_url url='/nightlyworkhours'}" style="height:3px; width:3px;"></object>
{/if}


{include file='q_basic/footer.tpl'}
