{include file='q_basic/htmlheader.tpl'}

<div id="root" class="layout__container">
    <div id="topblock" class="layoutNavbarContainer__container">
        <div class="navbar__container {if isset($easter)}easter{/if}"">
            <div class="navbar__containerLeft>
                {include file='q_basic/logo.tpl'}
                <span onclick="$('#wrap').toggleClass('show-accesskey');" accesskey="k" style="display:none;" title="Show keys"></span>

                {if $theme->company_logo}{*
                    *}<div id="company-logo">
                        <img  src="{img_url uri=$theme->company_logo}" title="Logo {us_htmlentities($theme->company_logo_link, ENT_NOQUOTES)}" {if $theme->company_logo_link}onclick="window.open('{$theme->company_logo_link}'); return false;"{/if} />
                    </div>{*
                *}{/if}
            </div>
            <div class="dropdown__container" style="display: none">
                {* ********************** Not logged in -  Change language ********************** *}
                <form action="{site_url url="common/change_language"}" method="post" id="changelanguage" class="p-dropdown p-component p-inputwrapper p-inputwrapper-filled dropdown__dropdown">
                    {include file='r/select.tpl' name="language" title='basic_language'
                        list=$languages id="item" text="key"
                        default=$language
                        noempty=1
                        filter_extra='onchange="userOptions.changeLanguageDo();"'}
                    <input type="hidden" name="xjxcookie" value="{$menu_xjxcookie}" />
                </form>
            </div>
        </div>
    </div>
    
    <div class="layoutPageContainer__container">
        <div class="layoutPageContainer__sidebarLeftContainer">
            <div class="sidebarLeft__container sidebarLeft__container--narrow">
                <div class="sidebarMenuItem__container">
                    <details class="medium-info" >
                        <summary>{$i.auth_service}</summary>
                        <p>
                            <a href="{site_url url='auth/dbupdate'}" class="dialog_make_text_btn ui-corner-all">{$i.auth_dbupdate}</a>
                        </p>
                        <p>
                            <a href="{site_url url='auth/logoffall'}" class="dialog_make_text_btn ui-corner-all">{$i.auth_logoffall}</a>
                        </p>
                        <p>
                            <a href="{site_url url='auth/resetlicense'}" class="dialog_make_text_btn ui-corner-all">{$i.auth_resetlicense}</a>
                        </p>
                        <p>
                            <a href="{site_url url='auth/resetbutler'}" class="dialog_make_text_btn ui-corner-all">{$i.auth_resetbutler}</a>
                        </p>
                    </details>
                </div>
                <div class="sidebarLeft__sidebarMenuBottomContainer">
                    <a class="help__anchor" href="https://webservices.untermstrich.com/h4/en:start" rel="noreferrer" target="_blank">
                        <div class="help__container">
                            <div class="help__iconAndTextContainer">
                                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="svgImage__image"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 20C16.4183 20 20 16.4183 20 12C20 7.58172 16.4183 4 12 4C7.58172 4 4 7.58172 4 12C4 16.4183 7.58172 20 12 20ZM12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z" fill="#6F767E"></path><circle cx="12" cy="18" r="1" fill="#6F767E"></circle><path fill-rule="evenodd" clip-rule="evenodd" d="M12 8C11.1307 8 10.3886 8.5551 10.1135 9.33325C9.92948 9.85396 9.35815 10.1269 8.83744 9.94284C8.31672 9.75879 8.0438 9.18747 8.22784 8.66675C8.77648 7.11451 10.2568 6 12 6C14.2091 6 16 7.79086 16 10C16 11.8638 14.7252 13.4299 13 13.874V15C13 15.5523 12.5523 16 12 16C11.4477 16 11 15.5523 11 15V13C11 12.4477 11.4477 12 12 12C13.1045 12 14 11.1046 14 10C14 8.89543 13.1045 8 12 8Z" fill="#6F767E"></path></svg>
                                <span class="help__text" title="help_and_getting_started">Help &amp; getting started</span>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>

        <div class="layoutPageContainer__contentContainer">
            <div class="dashboard__container">
