<?php
/**
 * Smarty plugin
 *
 * @category Smarty
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package Smarty
 * @subpackage plugins
 * @version $Id$
*/

/**
 * Smarty boolean view function plugin
 *
 * Purpose:  Create the view for a bool value for is_new
 *
 * @param   array   $params Parameters:
 *                  <ul>
 *                      <li>value   boolean     The variable</li>
 *                  </ul>
 * @return  string  The field source
 */
function smarty_function_isnew(array $params)
{
    if (isset($params['value'])) {
        if ($params['value']) {
            return '<div class="dialog_make_btn14 is_not_read_2d">x</div>';
        } else {
            return '';
        }
    } else {
        return '';
    }
}

