<html>
<head>
    <title>.</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/basic__{$us_version_ue}.css"}">
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/icons__{$us_version_ue}.css"}">
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/ui.basic__{$us_version_ue}.css"}">
    <link rel="stylesheet" type="text/css" href="{site_url url="$css_path/lazy__{$us_version_ue}.css"}">
    <style type="text/css" media="screen"> 
        * {
            font-family: "Open Sans",Arial,Helvetica,sans-serif;
            font-size: 9.5pt;
        }
    </style>
</head>
<body>
    {if !isset($truncate_content)}{$truncate_content = 400}{/if}
    {if !isset($webinar_view)}{$webinar_view = false}{/if}
    <div id="midblockcontent">
        {if isset($widget_rss_error)}
            <p><span class="warningsmall">{$widget_rss_main_error} <a href="https://webservices.untermstrich.com/" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">Verfügbarkeit prüfen</a></span></p>
            <p><small>{$widget_rss_error}</small></p>
        {else}
            {if $webinar_view && isset($main_info) && isset($main_info.link)}
                <div style="margin-bottom: 10px; text-align: center;">
                    <h4>
                        <a href="{$main_info.link}" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">
                            <span class="dialog_make_btn16 web_call"></span>
                            {if empty($main_info.link_title)}{$main_info.title|truncate:80}{else}{$main_info.link_title|truncate:80}{/if}
                        </a>
                    </h4>
                </div>
            {/if}
            
            {foreach item="entry" from=$widget_rss}
                <h4 title="{$entry.title|truncate:200}">
                    {if empty($entry.link)}
                        {$entry.title|truncate:80}
                    {else}
                        {if !empty($entry.link_title)}
                            {$entry.title|truncate:60}
                        {/if}
                        <a href="{$entry.link}" onclick="window.open(this.href); return false;"
                           >{if empty($entry.link_title)}{$entry.title|truncate:80}{else}{$entry.link_title|truncate:20}{/if}</a>
                    {/if}   

                </h4>
                {if isset($entry.updated)}
                    {if $webinar_view}
                        <p style="font-size:90%; margin-bottom:3px;">
                            <em>
                                {$i.portlet_webinar_next}: {if isset($entry.updated_hours)}{$i.basic_today} {$entry.updated_hours}{else}{$entry.updated}{/if}
                            </em>
                        </p>
                    {else}
                        <p style="opacity:0.7; font-size:80%;">{$entry.updated}</p>
                    {/if}
                {/if}
                <p style="margin-bottom:12px; opacity:0.9;">
                    {if empty($entry.content)}
                        {if $truncate_content === FALSE}
                            {$entry.summary}
                        {else}
                            {$entry.summary|truncate:$truncate_content}
                        {/if}
                    {else}
                        {if $truncate_content === FALSE}
                            {$entry.content}
                        {else}
                            {$entry.content|truncate:$truncate_content}
                        {/if}                    
                    {/if}
                </p>
            {foreachelse}
                --
            {/foreach}
            {if isset($widget_rss_cache_updated)}
                <small style="opacity:0.7; font-size:7px; float: right;">Cached: {$widget_rss_cache_updated}</small>
            {/if}
        {/if}
    </div>

</body>
</html>

