<table class="h-event col2btn" data-microformat="https://microformats.org/wiki/h-event#Status">
    <tr>
        <td>{$i.personalapp_date}</td>
        <td>
            {$personalapp->daytime_from->us_date()}
            {if $personalapp->daytime_from->us_date() !== $personalapp->daytime_to->us_date()}
             - {$personalapp->daytime_to->us_date()}
            {/if}
        </td>
    </tr>
    {if !$personalapp->fullday}
        <tr>
            <td>{$i.personalapp_time}</td>
            <td>
                <abbr class="dt-start" datetime="{$personalapp->daytime_from->format('Y-m-d')} {$personalapp->daytime_from->format('H:i:s')}">{$personalapp->daytime_from->us_stime()}</abbr> -
                <abbr class="dt-end" datetime="{$personalapp->daytime_to->format('Y-m-d')} {$personalapp->daytime_to->format('H:i:s')}">{$personalapp->daytime_to->us_stime()}</abbr>
            </td>
        </tr>
    {/if}
    {if $personalapp->is_notify}
        <tr>
            <td>{$i.personalapp_notify_date}</td>
            <td>
                <abbr class="dt-alarm" datetime="{$personalapp->notify_date->format('Y-m-d')} {$personalapp->notify_date->format('H:i:s')}">{$personalapp->notify_date->us_date_time()}</abbr>
                {if !$personalapp->show_date->is_null()}
                    <span class="dialog_make_btn16 reminded" title="{$i.personalapp_shown} ({$personalapp->show_date->us_date_time()})"></span>
                {/if}
            </td>
        </tr>
    {/if}
    {if $personalapp->several_days}
        <tr>
            <td>{$i.basic_several_days}</td>
            <td>{$i.basic_to} {$personalapp->several_days_last_date->us_date()}</td>
        </tr>
    {/if}
    {if $personalapp->periodical}
        <tr>
            <td>{$i.basic_periodical}</td>
            <td>{$i.basic_to} {$personalapp->periodical_last_date->us_date()}</td>
        </tr>
    {/if}
    <tr>
        <td>{$i.personalapp_status}</td>
        <td class="status_{$personalapp->status} status">
            {assign var="status_lang" value="personalapp_status_`$personalapp->status`"}
            {$i.$status_lang}
        </td>
    </tr>
    {if $personalapp->is_private}
        <tr>
            <td>{$i.personalapp_private}</td>
            <td>
                {isprivate value=$personalapp->is_private placeholder='-'}
            </td>
        </tr>
    {/if}
    <tr>
        <td>{$i.personalapp_project}</td>
        <td class="p-category">{$personalapp->project}</td>
    </tr>
    {if $personalapp->location neq ''}
        <tr>
            <td>
                {$i.personalapp_location}
            </td>
            <td class="p-location">
                {if $us_mapping eq ''}
                    <span class="dialog_make_btn16 maps smallbtns ui-corner-all frstbtn" style="opacity: 0.2;"
                        onclick="alert('{$i.personalapp_view_mapping} Deaktiviert/Deactivated')"
                        title="{$i.personalapp_view_mapping} Deaktiviert/Deactivated"></span>
                {else}
                    <span class="dialog_make_btn16 maps smallbtns ui-corner-all frstbtn"
                        onclick="usComm.windowOpen('{$personalapp->maps_url}');"
                        title="{$i.personalapp_view_mapping} ({$us_mapping})"></span>
                {/if}
                {$personalapp->location}
            </td>
        </tr>
    {/if}
    {if $personalapp->appoi_url neq ''}
        <tr>
            <td>
                {$i.basic_url}
            </td>
            <td class="u-url">
                {link_if_url val=$personalapp->appoi_url cssclass='frstbtn'}
            </td>
        </tr>
    {/if}
    {if $mode_o365 && isset($personalapp->o365_data->WebLink)}
        <tr>
            <td>
                {$i.personalapp_weblink}
            </td>
            <td class="u-url">
                {link_if_url val=$personalapp->o365_data->WebLink cssclass='frstbtn'}
            </td>
        </tr>
    {/if}
    {if $mode_o365 && isset($personalapp->o365_data->OnlineMeetingUrl_JoinURL)}
        <tr>
            <td>
                {$i.personalapp_teams_meeting}
            </td>
            <td class="u-url">
                {link_if_url val=$personalapp->o365_data->OnlineMeetingUrl_JoinURL cssclass='frstbtn'}
            </td>
        </tr>
    {/if}
    {if !$personalapp->is_private || $curr_user_id==$personalapp->staff_to_id}{* Just in case *}
        <tr>
            <td>{$i.personalapp_staff}</td>
            <td class="organiser">
                <div class="many">
                    {foreach from=$personalapp->multistaff item=multistaff}
                        <p class="attendee smallbtns">{$multistaff->staff_name|truncate:80:"..."}</p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
                <input type="hidden" id="info_right_staff_to_name" value="{$personalapp->staff_to_name}" />{*required for delete dialog*}
            </td>
        </tr>
                {/if}
    {if (!$personalapp->is_private || $curr_user_id==$personalapp->staff_to_id) && count($personalapp->participants)>0}
        <tr>
            <td>{$i.personalapp_participants}</td>
            <td>
                <div class="many">
                    {foreach from=$personalapp->participants item=participant}
                        <p style="cursor: pointer;" onclick="usComm.windowOpen('{site_url url="start/open/addressesandcontacts/index/`$right_xjxcookie`/view/`$participant->address_id`"}')">{$participant->address_name}</p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                    {if isset($personalapp->attendees) && is_array($personalapp->attendees)}
                    {if count($personalapp->attendees)>0}<br />{/if}
                        {foreach from=$personalapp->attendees item=attendee}
                            {if empty($attendee->staff_id) && empty($attendee->address_id)}{* Show simple mail attendees *}
                                <p>{$attendee->name}</p>
                            {/if}
                        {/foreach}
                    {/if}
                    
                </div>
            </td>
        </tr>
    {/if}
    {if !$personalapp->is_private || $curr_user_id==$personalapp->staff_to_id}{* Just in case *}
        <tr>
            <td>{$i.personalapp_summary}</td>
            <td class="p-summary">{$personalapp->summary}</td>
        </tr>
        <tr>
            <td>{$i.personalapp_comment}</td>
            <td class="p-description e-content">{$personalapp->comment}</td>
        </tr>
    {/if}
    <tr>
        <td>{$i.personalapp_created_date}</td>
        <td>{$personalapp->created_date->us_date_time()}</td>
    </tr>
    <tr>
        <td>{$i.personalapp_created_by_id}</td>
        <td>{$personalapp->staff_from_name}</td>
    </tr>
    <tr>
        <td>{$i.basic_change_date}</td>
        <td>{$personalapp->change_date->us_date_time()}</td>
    </tr>
    <tr>
        <td>{$i.basic_changed_by}</td>
        <td>{$personalapp->changed_by_id_name}</td>
    </tr>
    
    {if count($relations)>0}
        <tr>
            <td>
                {$i.addresses_relations}
            </td>
            <td>
                <div class="many">
                    {foreach from=$relations item=relation}
                        <p id="inforight_address_relation_{$relation->id}" {relation_link relation=$relation from_persapp=TRUE}>
                            {$relation->title|truncate:35:"..."}
                            {include file='Addressesandcontacts/_relation_tooltip.tpl' id="inforight_address_relation_{$relation->id}" data=$relation lang=$i}
                        </p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
    {/if}
    {if isset($personalapp->sabre_synctoken)}
        <tr>
            <td colspan="2">
                <details class="small-info">
                    <summary>CalDAV</summary>
                    <p>
                        Sync token: <kbd>{$personalapp->sabre_synctoken}</kbd><br />
                        URI: <kbd>{$personalapp->sabre_uri}</kbd><br />
                        UUID: <kbd>{$personalapp->sabre_uid}</kbd><br />
                        ETag: <kbd>{$personalapp->sabre_etag}</kbd><br />
                    </p>
                    <p style="font-size: 8px;">
                        <kbd>{$personalapp->sabre_calendar_data}</kbd>
                    </p>
                </details>
            </td>
        </tr>
    {/if}

    {if $mode_o365}
        <tr>
            <td>
                {$i.personalapp_connection_status}
            </td>
            <td class="u-url">
                {$connection_status_message_view = ''}
                {if $personalapp->calendar_connected_oauth}
                    {$connection_status_stat = '3'}
                    {$connection_status_message = 'OK'}
                {elseif $personalapp->calendar_connected}
                    {$connection_status_stat = '1'}
                    {$connection_status_message = $i.personalapp_no_valid_oauth_token}
                {else}
                    {$connection_status_stat = '99'}
                    {$connection_status_message = $i.personalapp_no_connection_to_calendar}
                    {if $personalapp->sync_mode !== 'in_sync'}
                        {$connection_status_message_view = " <small>`$i.personalapp_migrated_from_local`</small>"}
                    {/if}    
                {/if}    
                <img src="{site_url url="images/14x14/right{$connection_status_stat}.png"}" alt="{$connection_status_message}" title="{$connection_status_message}"/>
                {$connection_status_message_view}
            </td>
        </tr>
    {/if}    
</table>