<div id="datacollection_fulltext_search_{$my_id}_content">
    {if $has_fulltext_search_activated}
        <div style="max-height:{$max_height}px; pd4ml-display: inline; overflow:auto;">
            <form id="datacollection_fulltext_search_{$my_id}_filter" onsubmit='datacollection_fulltext_search.submit("{$my_id}"); return false;'>
                <table id="datacollection_fulltext_search_{$my_id}_filter_inputs" class="dashed">
                    <tbody>
                        {foreach item="filter" from=$filters}
                            <tr>
                                <td>
                                    {if $filter->id == 0}
                                        <a class="smallbtns dialog_make_btn16 add" onclick='datacollection_fulltext_search.add_filter("{$my_id}");'></a>
                                    {else}
                                        <a class="smallbtns dialog_make_btn16 delete" onclick='datacollection_fulltext_search.remove_filter("{$my_id}", {$filter->id});'></a>
                                    {/if}
                                </td>
                                <td>
                                    {include file='r/table_input.tpl' name=$filter->input_name placeholder=$i.filter_fulltext
                                        type='search' text="name" class="t-mid"
                                        labelclass='label1'
                                        default={$filter->input_default}}
                                    {if isset($filter->hide_select) && !$filter->hide_select}
                                        {include file='r/radio-only.tpl' name=$filter->select_name
                                            list=$select_list id="id" text="name"
                                            labelclass='label1'
                                            noempty=TRUE default={$filter->select_default}}
                                    {/if}
                                </td>
                                <td>
                                    {include file='r/checkbox.tpl' name=$filter->checkbox_name title=$i.filter_exact_wg
                                        labelclass='label3'
                                        default={$filter->checkbox_default}}
                                </td>
                            </tr>
                        {/foreach}
                    </tbody>
                </table>
                <a onclick='datacollection_fulltext_search.submit("{$my_id}");' class="dialog_make_text_btn ui-corner-all noprint update_button">
                    <span class="dialog_make_btn16 update ui-corner-all"></span>{$i.basic_update}
                </a>
                <input type="submit" style="visibility: hidden;" />
            </form>
            <div id="datacollection_fulltext_search_{$my_id}_table">
                <div style="display:none">
                    <span style="font-size:32px; padding-left:30px;">&#9757;</span> 
                </div>
            </div>
        </div>    
    {else}
        <div class="warning warningborder ui-corner-all">
            {$i.basic_fulltext_setup_needed|markdown}
        </div>
    {/if}
    
    {include file='r/hidden.tpl' name="datacollection_fulltext_search_{$my_id}_filter_vals"}
</div>
