<fieldset class="noborder">
    {include file='r/hidden.tpl' name="externalexpenses_is_transfered"}
    {include file='r/hidden.tpl' name="externalexpenses_del_after_transfer" default='0'}
    {include file='r/hidden.tpl' name="externalexpenses_edit"}{* What entry do we edit - If empty = add *}
    {include file='r/select-project.tpl' name="externalexpenses_project" title="externalexpenses_project" list=$projects_list 
        id="id" text="project" add_icons_file="project_resp_pm" filter_favourite_list=$projects_favourite_list 
        class="is_project required on_change_update ocu-p:externalexpenses ocu-m:get_work_packages ocu-f:externalexpenses_work_package_name"}
</fieldset>

<fieldset class="borderbottom">
    {include file='r/ajaxselect.tpl' name='externalexpenses_address' title="externalexpenses_address"
        add_icons_file="project_participants"
        filter_project_participants_project_field="externalexpenses_project"
        class="addressselect required fulltext_search t-mid"}
    {include file='r/radio.tpl' name="externalexpenses_is_invoiced" title="externalexpenses_is_invoiced" list=$is_invoiced_list id="id" text="name"}
    {include file='r/textarea.tpl' name="externalexpenses_purpose" title="externalexpenses_purpose" class="t-long" maxlength=95}
</fieldset>
    
{if $project_use_currency}{* $$$$$$$$$$$$$ *}
    <fieldset class="borderbottom">
        {include file='r/select.tpl' name='externalexpenses_currency_id' title="externalexpenses_currency" class="" labelclass="label2" collapse='formcoll'
            list=$currencies_list id="id" text="name" mapdata="exchange_rate"}
        {include file='r/input.tpl' name="externalexpenses_exchange_rate" title="externalexpenses_exchange_rate" collapse='formcoll' 
            add_icons_file="currencies_online_update" online_update_currency="externalexpenses_currency_id" online_update_date="externalexpenses_date"
            class="required numberi18n" labelclass="label2"}
    </fieldset>
{/if}

<fieldset class="borderbottom externalexpenses_charged externalexpenses_file_fieldset">
    {if $enable_upload_service_api}
        <legend>{$i.externalexpenses_upload_service_api}</legend>
    {/if}
    {include file='r/file.tpl' name="externalexpenses_file" title="externalexpenses_file" collapse='formcoll' labelclass="label2"
        mime_restriction=".pdf,.xml,application/pdf,application/x-download,text/xml,application/xml,application/xml+xrechnung,application/xml+ubl,application/xml+peppolbis,application/pdf+zugferd"
        allow_delete=FALSE targettype="files" targetdata="temp_expenses_type_any"}

    {include file='r/input-corresondence_type.tpl' name="externalexpenses_file_type" title="externalexpenses_corr_type"
        addempty=true class="t-mid" collapse='formcoll' list=$correspondence_types_expenses}
</fieldset>

<fieldset class="noborder">
    {if !$project_use_currency}{* ------------- *}
        {include file='r/input.tpl' name="externalexpenses_value" title="externalexpenses_value" collapse='formcoll' class="required numberi18n calculator"}
    {else}{* $$$$$$$$$$$$$ *}
        {include file='r/view.tpl' name="externalexpenses_value_internal" title="externalexpenses_value" collapse='formcoll' class="numberi18n" default='0'}
        {include file='r/input.tpl' name="externalexpenses_value" title="externalexpenses_value_otcurr" collapse='formcoll' class="required numberi18n calculator"}
    {/if}

    {include file='r/input.tpl' name="externalexpenses_turnover_rate" title="externalexpenses_turnover_rate" collapse='formcoll' class="numberi18n calculator"}
</fieldset>
<fieldset class="noborder">
    {include file='r/input.tpl' name="externalexpenses_invoice_number" title="externalexpenses_invoice_number" class="t-mid" collapse='externalexpenses_charged'}

    {include file='r/select.tpl' name="externalexpenses_work_package_name" title="externalexpenses_work_package_name" collapse='formcoll'
        class="required" add_icons_file="work_package_search"}
    {if empty($fee_categories)}
        <p class="formstyle formcoll"></p>
    {else}
        {include file='r/select.tpl' name="externalexpenses_fee_category_name" title="externalexpenses_fee_category_name" collapse='formcoll' class=""
            list=$fee_categories id="id" text="name"}
    {/if}
    
    {include file='r/date.tpl' name="externalexpenses_date" title="externalexpenses_date" class="required dateUS" collapse='formcoll'}
    {include file='r/date.tpl' name="externalexpenses_valid_from" title="externalexpenses_valid_from" class="dateUS" collapse='formcoll externalexpenses_notcharged'}
    {include file='r/date.tpl' name="externalexpenses_invoice_due_date" title="externalexpenses_invoice_due_date" class="dateUS" collapse='formcoll externalexpenses_charged'}

    {include file='r/textarea.tpl' name="externalexpenses_description" title="externalexpenses_description" class="t-long"}
</fieldset>
<fieldset class="noborder">
    {include file='r/checkbox.tpl' name="externalexpenses_is_hon_decr"
        title="externalexpenses_is_hon_decr" collapse='formcoll' labelclass="label2"}
    {include file='r/checkbox.tpl' name="externalexpenses_is_calc_from_expenses"
        title="externalexpenses_is_calc_from_expenses" collapse='formcoll' labelclass="label2"}
</fieldset>
<fieldset class="bordertop externalexpenses_charged">
    {include file='r/input.tpl' name="externalexpenses_charged" title="externalexpenses_charged" collapse='formcoll'
        class="numberi18n calculator" labelclass="label2"}
    {include file='r/date.tpl' name="externalexpenses_charge_date" title="externalexpenses_charge_date" collapse='formcoll'
        class="dateUS" labelclass="label2"}
    {include file='r/input.tpl' name="externalexpenses_surcharge_used" title="externalexpenses_surcharge_used"
        class="numberi18n t-smaller" labelclass="label2"
         add_icons_file='warning' past_span_text="% (`$i.externalexpenses_charge_date`)"}
</fieldset>

{include file='Basic/edit_popform_addi.tpl' edit_addi_list=$externalexpenses_addi_list  
    edit_addi_section='externalexpenses' edit_addi_target='expenses' edit_addi_collapse='formcoll'}
