<form id="feeadmin_time_shift_form" style=""
    action=""  method="POST" enctype="multipart/form-data"
    onsubmit="">
    
    <h3>{$i.fees_time_shift_difference_title}</h3>
    
    <table>
        <tbody>
            <tr>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_day"
                        title="fees_fee_date" placeholder="basic_days"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='feeadmin.time_shift_multi_update();'"}
                </td>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_month"
                        placeholder="basic_months"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='feeadmin.time_shift_multi_update();'"}
                </td>
                <td style="border-width: 0px">
                    {include file='r/input.tpl' name="time_year"
                        placeholder="basic_years"
                        text="name" labelclass="label2" class="t-smaller"
                        filter_extra="onchange='feeadmin.time_shift_multi_update();'"}
                </td>
            </tr>
            <tr>
                <td colspan="3" style="border-width: 0px">
                    {include file='r/checkbox.tpl' name="time_with_addi"
                        title="fees_include_addi_dates"
                        text="name" labelclass="label2"
                        filter_extra="onchange='feeadmin.time_shift_multi_update();'"}
                </td>
            </tr>
        </tbody>
    </table>
    
    <br/>
    
    <div class="ui-dialog-maxheight-scroll" style="max-height:500px; margin-top:15px;">
        <h4>{$i.fees_selected_fees}</h4>
        <hr />
        <table>
            <thead>
                <th>{$i.filter_name}</th>
                <th>{$i.fees_fee_date}</th>
                <th>{$i.fees_due_date}</th>
                {if $multi_currency}
                    <th>{$i.fees_value}</th>
                    <th>{$i.fees_exchange_rate}</th>
                    <th>{$i.fees_value_otcurr}</th>
                {else}
                    <th>{$i.fees_value}</th>
                {/if}
            </thead>
            <tbody>
                {foreach item="fee" from=$selected_fees}
                    <tr>
                        <td>
                            {if $fee->project}{$fee->project->project_name}{/if} | {$fee->purpose} | {if $fee->cost_centre}{$fee->cost_centre->name}{/if}
                        </td>
                        <td id="time_shift_fee_{$fee->id}_fee_date">
                            {if $fee->fee_date}
                                {$fee->fee_date->us_date()}
                            {/if}
                        </td>
                        <td id="time_shift_fee_{$fee->id}_due_date">
                            {if $fee->due_date}
                                {$fee->due_date->us_date()}
                            {/if}
                        </td>
                        {if $multi_currency}
                            <td id="time_shift_fee_value_internal" style="text-align: right;">
                                {include file='r/view.tpl' name="fee_{$fee->id}_value_internal"
                                    labelclass="label2"
                                    default={islongfloat value=$fee->value} class="numberi18n"}
                            </td>
                            <td id="time_shift_fee_value_exchange_rate" style="text-align: right;">
                                {include file='r/input.tpl' name="fee_{$fee->id}_value_exchange_rate"
                                    labelclass="label2" readonly=true
                                    default={islongfloat value=$fee->exchange_rate} class="numberi18n"}
                            </td>
                            <td id="time_shift_fee_value" style="text-align: right;">
                                {include file='r/input.tpl' name="fee_{$fee->id}_value"
                                    labelclass="label2"
                                    default={islongfloat value=$fee->value_otcurr} class="t-small numberi18n calculator"}
                            </td>
                        {else}
                            <td id="time_shift_fee_value">
                                {include file='r/input.tpl' name="fee_{$fee->id}_value"
                                    text="name" labelclass="label2"
                                    default={islongfloat value=$fee->value} class="t-small numberi18n calculator"}
                            </td>
                        {/if}
                    </tr>
                {/foreach}
            </tbody>
        </table>    
    </div>
</form>