{function name=active_inactive}
    {if !isset($yes)}
        {assign var="yes" value="masterdatamanagement_safety_status_active"}
    {/if}    
    {if !isset($no)}
        {assign var="no" value="masterdatamanagement_safety_status_inactive"}
    {/if}    
    <span style="font-weight:bold; color: {if $value === TRUE}green">{$i.$yes}{else}red">{$i.$no}{/if}</span>
{/function}


<h2><em>{$i.masterdatamanagement_maintenance}</em> - {$i.masterdatamanagement_safety_tasks}

    <span class="dialog_make_text_btn ui-corner-all" onclick="$(this).hide(); masterdatamanagement.view('safety_tasks');">
        <span class="dialog_make_btn16 update ui-corner-all"></span>
        {$i.basic_update}
    </span>
</h2>
<div class="story">
    {if $need_confirm === TRUE}
        <div class="warningsmall ui-corner-all">
            <span >{$i.masterdatamanagement_tasks_confirm}</span><br />
            <a class="dialog_make_text_btn ui-corner-all" onclick="if(basicForm.requestBigConfirm(''))masterdatamanagement.view('safety_tasks.save_confirm');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.masterdatamanagement_tasks_confirm1}
            </a>
        </div>
        <div class="warningsmall ui-corner-all">
            {$i.masterdatamanagement_tasks_confirm2}
        </div>
    {/if}
    
    {if $have_old_doc_xls}
        <h3>DOC/XLS {$i.masterdatamanagement_form_types}</h3>
        <ul>
            <li>
                <div>
                    {$i.pages_have_old_doc_xls|markdown}
                </div>
            </li>        
            {$i.masterdatamanagement_cleanup}
            <span onclick="masterdatamanagement.view('form_types', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                title="{$i.basic_masterdatamanagement} - {$i.masterdatamanagement_form_types}">
                {$i.masterdatamanagement_form_types}
            </span>
        </ul>
    {/if}
    
    <h3>{$i.masterdatamanagement_safety_server} <small style="font-size:8px; opacity:0.5;">({$php_os} PHP {$php_version_3} SQL {$sql_version})</small></h3>
    <ul>
        {if $php_version_3<7.0}
            <li>
                <h4>Apache / PHP</h4>
                <div>
                    <div>
                        {$i.masterdatamanagement_update_php1} ({phpversion()})<br />
                        {$i.masterdatamanagement_update_php2}
                        {if $php_os eq 'WIN'}
                            <a href="https://webservices.untermstrich.com/h4/{$language_short}:installation:apache_update"
                                class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                                onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> help.untermstrich.com</a>
                        {elseif $php_os eq 'DAR'}
                            {$i.masterdatamanagement_update_the_os}
                        {else}
                            {$i.masterdatamanagement_update_the_os}
                        {/if}
                    </div>
                    {$i.masterdatamanagement_safety_status}:
                        {if $php_version_3<=7.0}
                            <span style="font-weight:bold; color: red">{$i.masterdatamanagement_update_state2}</span>
                        {else}
                            {$i.masterdatamanagement_update_state1}
                        {/if}
                </div>
            </li>
        {/if}
        {if $sql_version!==false && $sql_version<5.7}
            <li>
                <h4>MySQL</h4>
                <div>
                    <div>
                        {$i.masterdatamanagement_update_mysql1} ({$sql_version})<br />
                        {$i.masterdatamanagement_update_mysql2}
                        {if $php_os eq 'WIN'}
                            <a href="https://webservices.untermstrich.com/h4/{$language_short}:installation:mysql_update"
                                class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                                onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> help.untermstrich.com</a>
                        {elseif $php_os eq 'DAR'}
                            <a href="https://webservices.untermstrich.com/h4/{$language_short}:installation:installation_mac_os_x_10_10#ⓘ2"
                                class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                                onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> help.untermstrich.com</a>
                        {else}
                            {$i.masterdatamanagement_update_the_os}
                        {/if}
                    </div>
                    {$i.masterdatamanagement_safety_status}:
                        {if $sql_version<5.7}
                            <span style="font-weight:bold; color: red">{$i.masterdatamanagement_update_state2}</span>
                        {else}
                            {$i.masterdatamanagement_update_state1}
                        {/if}
                </div>
            </li>
        {/if}
        <li>
            <h4>{$i.masterdatamanagement_encryption_key}</h4>
            <div>
                <div id="exp_session_key_changed" {if $session_key_changed}style="display:none;"{/if}>
                    {$i.masterdatamanagement_safety_encryption_key1}<br />
                    {sprintf({$i.masterdatamanagement_safety_encryption_key2}, {$i.masterdatamanagement_encryption_key})}
                    <span onclick="masterdatamanagement.view('web_config.security', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                        title="{$i.basic_masterdatamanagement} - {$i["masterdatamanagement_web_config.security"]}">
                        {$i["masterdatamanagement_web_config.security"]} - {$i.masterdatamanagement_encryption_key}
                    </span>
                </div>
                {$i.masterdatamanagement_safety_status}: {active_inactive value=$session_key_changed yes="masterdatamanagement_safety_server_sess_chngd1" no="masterdatamanagement_safety_server_sess_chngd0"}
                {if $session_key_changed}
                    <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_session_key_changed').show();$(this).hide();">{$i.basic_more|lower}...</a>
                {/if}
            </div>
        </li>
        <li>
            <h4>{$i.masterdatamanagement_safety_server_https}</h4>
            <div>
                {is_https_active_assign}
                <div id="exp_https_active" {if $https_active}style="display:none;"{/if}>
                    {$i.masterdatamanagement_safety_server_https1}
                    <a href="https://webservices.untermstrich.com/h4/{$language_short}:installation:ssl"
                        class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                        onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> help.untermstrich.com</a>
                </div>
                {$i.masterdatamanagement_safety_status}: {active_inactive value=$https_active}
                {if $https_active}
                    <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_https_active').show();$(this).hide();">{$i.basic_more|lower}...</a>
                {/if}
            </div>
        </li>
        <li>
            <h4>{$i.masterdatamanagement_tasks_database}</h4>
            <div>
                {$i.masterdatamanagement_tasks_database1}<br />
                {$i.masterdatamanagement_tasks_database2}
                {if $saas_db_action}
                    <a class="dialog_make_text_btn warningsmall warningedit ui-corner-all" title="{$i.basic_portlets} - {$saas_db_text}"
                        onclick="{$saas_db_action}">{$saas_db_text}</a>
                {else}
                    <a href="https://webservices.untermstrich.com/h4/{$language_short}:faq:mysql_backup"
                        class="dialog_make_text_btn ui-corner-all" title="{$i.basic_help}"
                        onclick="window.open(this.href); return false;"><span class="dialog_make_btn16 help"></span> {$saas_db_text}</a>
                {/if}
            </div>
        </li>
    </ul>    
    
    <h3>{$i.masterdatamanagement_safety_passwords}</h3>
    <ul>
        <li>
            <h4>{$i.masterdatamanagement_password_policies}</h4>
            <div id="exp_password_policies_enabled" {if $password_policies_enabled}style="display:none;"{/if}>
                {$i.masterdatamanagement_safety_password_policies}<br />
                <span onclick="masterdatamanagement.view('web_config.security', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                    title="{$i.basic_masterdatamanagement} - {$i["masterdatamanagement_web_config.security"]}">
                    {$i["masterdatamanagement_web_config.security"]} - {$i.masterdatamanagement_password_policies}
                </span>
            </div>
            {$i.masterdatamanagement_safety_status}: {active_inactive value=$password_policies_enabled}
            {if $password_policies_enabled}<a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_password_policies_enabled').show();$(this).hide();">{$i.basic_more|lower}...</a>{/if}
        </li>        
    </ul>
    
    <h3>{$i.masterdatamanagement_safety_usernames}</h3>
    <ul>
        <li>
            <div id="exp_staff_without_username" {if count($staff_without_username) <= 0}style="display:none;"{/if}>
                {$i.masterdatamanagement_safety_usernames1}<br />
                {sprintf({$i.masterdatamanagement_safety_usernames2}, {$i["masterdatamanagement_web_config.security"]}, {$i.masterdatamanagement_login_force_username})}<br />
                {sprintf({$i.masterdatamanagement_safety_usernames3}, {$i.staffadmin_autogen_user})}
            </div>
            {if count($staff_without_username) > 0}
                <div style="font-weight: bold; color:red">{$i.masterdatamanagement_safety_usernames_staff_no}:</div>
                <ul>
                {foreach from=$staff_without_username item=staff}
                    <li>
                        <span 
                        {if $has_staffadmin_right}
                            class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                            onclick="usComm.loadPage('staffadmin','index', 'view', '{$staff->id}')"
                            title="{$i.basic_staffadmin}"
                        {/if} >{$staff->staff_name}</span>
                    </li>
                {/foreach}
                </ul>                
            {else}
                <div style="font-weight:bold; color:green">
                    {$i.masterdatamanagement_safety_usernames_all_ok}
                    <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_staff_without_username').show();$(this).hide();">{$i.basic_more|lower}...</a>
                </div>
            {/if}
        </li>
        <li>
            <h4>{$i.masterdatamanagement_safety_usernames_force}</h4>
            <div id="exp_login_force_username" {if $login_force_username}style="display:none;"{/if}>
                {$i.masterdatamanagement_safety_usernames_force1}
                <span onclick="masterdatamanagement.view('web_config.security', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                    title="{$i.basic_masterdatamanagement} - {$i["masterdatamanagement_web_config.security"]}">
                    {$i["masterdatamanagement_web_config.security"]} - {$i.masterdatamanagement_login_force_username}
                </span>            
            </div>
            {$i.masterdatamanagement_safety_status}: {active_inactive value=$login_force_username}
            {if $login_force_username}
                <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_login_force_username').show();$(this).hide();">{$i.basic_more|lower}...</a>
            {/if}
        </li>
    </ul>
    
    <h3>{$i.masterdatamanagement_seasons_greetings}</h3>
    <ul>
        <li>
            <div id="exp_seasons_greetings" {if !$seasons_greetings}style="display:none;"{/if}>
                {$i.masterdatamanagement_tasks_seasons_greetings}<br />
                <span onclick="masterdatamanagement.view('web_config.userinterface', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                      title="{$i.basic_masterdatamanagement} - {$i['masterdatamanagement_web_config.userinterface']}">
                    {$i["masterdatamanagement_web_config.userinterface"]} - {$i.masterdatamanagement_seasons_greetings}
                </span>            
            </div>
            {$i.masterdatamanagement_safety_status}: {active_inactive value=!$seasons_greetings yes="masterdatamanagement_safety_status_inactive" no="masterdatamanagement_safety_status_active"}
            {if !$seasons_greetings}
                <a class="dialog_make_text_btn ui-corner-all" style="margin-left: 5px;" onclick="$('#exp_seasons_greetings').show();$(this).hide();">{$i.basic_more|lower}...</a>
            {/if}
        </li>
    </ul>
        
    <h3>untermStrich {$i.masterdatamanagement_update}</h3>
    <ul>
        {if $us_latest_version_installed}
            <li>
                <span>
                    {$i.basic_currently_installed}: <kbd style="font-weight:bold; color: green">{$us_version}</kbd>&nbsp;
                    {$i.masterdatamanagement_update_version}: <kbd style="font-weight:bold; color: green">{$us_version_available}</kbd>
                </span>
            </li>        
        {else}
                <div>
                    {$i.masterdatamanagement_new_version1}
                </div>
                <div style="font-weight:bold; color: red">
                    {$i.masterdatamanagement_new_version2}:
                </div>
                <li>
                    {$i.basic_currently_installed}: <kbd>{$us_version}</kbd>&nbsp;
                    {$i.masterdatamanagement_update_version}: <kbd>{$us_version_available}</kbd><br />
                    <span onclick="masterdatamanagement.view('update', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                        title="{$i.basic_masterdatamanagement} - {$i.masterdatamanagement_update}">
                        {$i.masterdatamanagement_update}
                    </span>
                </li>
        {/if}
    </ul>
    
    <h3>{$i.masterdatamanagement_update_widgets_update}</h3>
    <ul>
        {if isset($update_info_error)}
            <li>
                <h4>{$i.basic_error}-  {$i.basic_error_ustrich_conn}</h4>
                <p><span class="warningsmall">{$update_info_error} <a href="https://webservices.untermstrich.com/" onclick="window.open(this.href); return false;" class="dialog_make_text_btn ui-corner-all">Verfügbarkeit prüfen</a></span></p>
            </li>        
        {elseif empty($updateable_widgets)}
            <li>
                <span style="font-weight:bold; color: green">{$i.masterdatamanagement_update_widgets_none}</span>
            </li>        
        {else}
            <li>
                <div>
                    {$i.masterdatamanagement_new_widgets_version1}
                </div>
                <div style="font-weight:bold; color: red">
                    {$i.masterdatamanagement_new_widgets_version2}:
                </div>
                <ul>
                    {foreach from=$updateable_widgets item=widget}
                        <li>
                            <span class="butler_update_title">
                                {if isset($widget.title)}
                                    {$widget.title}
                                {else}
                                    {$widget.name}
                                {/if}
                            </span>  
                            <br /> 
                            <span onclick="masterdatamanagement.view('update_widgets', false, false, true)" class="dialog_make_text_btn warningsmall warningedit ui-corner-all"
                                title="{$i.basic_masterdatamanagement} - {$i.masterdatamanagement_update_widgets}">
                                {$i.masterdatamanagement_new_version}: <kbd >{$widget.update_date->us_date()}</kbd>
                            </span>            
                            <small>({$i.masterdatamanagement_last_update}: <kbd>{$widget.last_update_date->us_date()}</kbd>)</small>
                        </li>
                    {/foreach}
                </ul>
            </li>
        {/if}
    </ul>

        
    {if $last_confirmed_date !== null && $last_confirmed_staff !== FALSE}
        <p style="padding-top: 10px;">
            {$i.masterdatamanagement_tasks_last_confirmed_on}: {$last_confirmed_date->us_date()}<br />
            {$i.masterdatamanagement_tasks_last_confirmed_by}: {$last_confirmed_staff->staff_name}
        </p>
    {/if}    
        
    {if $need_confirm === TRUE}
        <div class="warningsmall ui-corner-all">
            <span >{$i.masterdatamanagement_tasks_confirm}</span><br />
            <a class="dialog_make_text_btn ui-corner-all" onclick="if(basicForm.requestBigConfirm(''))masterdatamanagement.view('safety_tasks.save_confirm');">
                <span class="dialog_make_btn16 ok ui-corner-all"></span>
                {$i.masterdatamanagement_tasks_confirm1}
            </a>        
        </div>
    {/if}
</div>
