<table style="margin: 5px 0px 0px 0px; display:none" class="dashed" id="offers_management_fee_allocations">
<colgroup>
    <col style="min-width: 15vw;" />
    <col />
    <col />
    {if $project_calc_type_is_quantity || $project_calc_type_is_calcexp}
        <col style="min-width: 130px;" />
    {/if}
    {if $project_calc_type_is_quantity}
        <col style="min-width: 110px;" />
    {/if}
</colgroup>
<thead>
    <tr>
        <th colspan="2" style="border: 0;">
            {if isset($hoai_butler_action)}
                <a onclick="{$hoai_butler_action}" class="dialog_make_text_btn ui-corner-all"
                   title="{$i.projectadmin_open_portlet_hoai}">
                    <span class="dialog_make_btn16 th ui-corner-all"></span>{$i.projectadmin_open_portlet_hoai}
                </a>
            {/if}
        </th>
        {if $project_use_currency}
            {if $project_calc_type_is_quantity}
                <th colspan="5" style="border: 0;"></th>
            {else if $project_calc_type_is_calcexp}
                <th colspan="4" style="border: 0;"></th>
            {else}
                <th colspan="3" style="border: 0;"></th>
            {/if}
        {else}
            {if $project_calc_type_is_quantity}
                <th colspan="3" style="border: 0;"></th>
            {else if $project_calc_type_is_calcexp}
                <th colspan="2" style="border: 0;"></th>
            {else}
                <th style="border: 0;"></th>
            {/if}
        {/if}
        <th colspan="8" style="border: 0;">
            <a onclick="offers_management.fee_allocation.open_edit_all_wps();" class="dialog_make_text_btn ui-corner-all"
               title="{$i.projectadmin_edit_all_phases}">
                <span class="dialog_make_btn16 edit ui-corner-all"></span>{$i.projectadmin_edit_all_phases}
            </a>
        </th>
    </tr>
    <tr>
        <th colspan="2">{$i.projectadmin_fee_area}</th>
        <th class="percentrow" style="display: none; text-align: center;">{$i.projectadmin_proportion_in_percent}</th>
        {if $project_calc_type_is_quantity || $project_calc_type_is_calcexp}
            <th class="costsrow" style="text-align: center;">{$i.offers_management_quantity}</th>
        {/if}
        {if $project_calc_type_is_quantity}
            <th class="costsrow" style="text-align: center;">{$i.offers_management_price}</th>
        {/if}
        <th class="costsviewrow" style="text-align: center;">{$i.offers_management_costs_view}</th>
        {if $project_use_currency}{* $$$$$$$$$$$$$ *}
            <th style="text-align: center;">{$i.projectadmin_exchange_rate_s}</th>
            <th class="costsrow" style="text-align: center;">{$i.projectadmin_costs_otcurr}</th>
        {/if}
        <th class="costsrow" style="text-align: center; background: rgba(220, 220, 255, 0.4);">{$i.offers_management_fee_supplement}</th>
        {if $project_use_currency}{* $$$$$$$$$$$$$ *}
            <th class="costsrow" style="text-align: center; background: rgba(220, 220, 255, 0.4);">{$i.offers_management_fee_supplement_otcurr}</th>
        {/if}
        {if $project_extras_is_percentage}
            <th class="extrasviewrow" style="display: none"></th>
            <th class="costsrow extrasrow" style="background: rgba(255, 255, 200, 0.4); text-align: center;">{$i.offers_management_extras_in_percent}</th>
        {else}
            <th class="costsrow extrasviewrow" style="background: rgba(255, 255, 200, 0.4); text-align: center;">{$i.offers_management_extras_in_currency}</th>
            {if $project_use_currency}{* $$$$$$$$$$$$$ *}
                <th class="costsrow extrasrow" style="background: rgba(255, 255, 200, 0.4); text-align: center;">{$i.offers_management_extras_in_currency_otcurr}</th>
            {/if}
        {/if}
        {if $project_rebate_is_percentage}
            <th class="rebateviewrow" style="display: none"></th>
            <th class="costsrow rebaterow" style="background: rgba(255, 200, 200, 0.4); text-align: center;">{$i.offers_management_rebate_in_percent}</th>
        {else}
            <th class="costsrow rebateviewrow" style="background: rgba(255, 200, 200, 0.4); text-align: center;">{$i.offers_management_rebate_in_currency}</th>
            {if $project_use_currency}{* $$$$$$$$$$$$$ *}
                <th class="costsrow rebaterow" style="background: rgba(255, 200, 200, 0.4); text-align: center;">{$i.offers_management_rebate_in_currency_otcurr}</th>
            {/if}
        {/if}
        {if $has_repetition}
            <th class="costsrow" style="text-align: center;">{$i.projectadmin_costs_mid}</th>
            <th class="costsreprow" style="text-align: center;">{$i.projectadmin_costs} {$repetition_title}</th>
        {else}
            <th class="costsrow" style="text-align: center;">{$i.projectadmin_costs}</th>
        {/if}
        {include file='r/hidden.tpl' name="project_offers_hoai_repetition" default={$repetition}}
    </tr>
</thead>
<tbody>
    {foreach item="allocation" from=$allocations}
        {if $offer_id != 'add'}
            {if !isset($allocation->work_package_id)}
                <tr>
                    <td colspan="5">
                        <span class="warningsmall ui-corner-all">
                            Ungültige Arbeitspaket ID. Bitte die Bereinigungen in Konfiguration - Datenbankwartung - Tabellen bereinigen ausführen. <br />
                            Invalid Work package ID. Please call the cleanups within Configuration - Database maintenance - Clean tables.
                        </span>
                    </td>
                </tr>
                {continue}
            {/if}
            {$work_package_id = $allocation->work_package_id}
        {else}
            {$work_package_id = $allocation->id}
        {/if}
        {assign var="custom_parent" value="project_offers_custom_parent_`$work_package_id`"}
        {assign var="custom_number" value="project_offers_custom_number_`$work_package_id`"}
        {assign var="custom_name" value="project_offers_custom_name_`$work_package_id`"}
        {assign var="percent_name" value="project_offers_percent_fee_`$work_package_id`"}
        {assign var="extras_name" value="project_offers_extras_`$work_package_id`"}
        {assign var="rebate_name" value="project_offers_rebate_`$work_package_id`"}
        {assign var="quantity_name" value="project_offers_quantity_`$work_package_id`"}
        {assign var="unit_name" value="project_offers_unit_`$work_package_id`"}
        {assign var="price_name" value="project_offers_price_`$work_package_id`"}
        {if !$project_use_currency}{* ------------- *}
            {assign var="costs_mid_name" value="project_offers_costs_mid_fee_`$work_package_id`"}
            {assign var="custom_costs_name" value="project_offers_custom_costs_fee_view_`$work_package_id`"}
            {assign var="costs_name" value="project_offers_costs_fee_`$work_package_id`"}
            {assign var="costs_name_view" value="project_offers_costs_fee_view_`$work_package_id`"}
            {assign var="supplement_name" value="project_offers_supplement_`$work_package_id`"}
            {assign var="extras_value_name" value="project_offers_extras_value_`$work_package_id`"}
            {assign var="rebate_value_name" value="project_offers_rebate_value_`$work_package_id`"}
        {else}{* $$$$$$$$$$$$$ *}
            {assign var="costs_mid_name" value="project_offers_costs_mid_feeinternal_`$work_package_id`"}
            {assign var="custom_costs_name" value="project_offers_custom_costs_feeinternal_`$work_package_id`"}
            {assign var="costs_name" value="project_offers_costs_feeinternal_`$work_package_id`"}
            {assign var="costs_name_view" value="project_offers_costs_feeinternal_view_`$work_package_id`"}
            {assign var="custom_costs_otcurr_name" value="project_offers_custom_costs_fee_view_`$work_package_id`"}
            {assign var="costs_otcurr_name" value="project_offers_costs_fee_view_`$work_package_id`"}
            {assign var="supplement_name" value="project_offers_supplement_feeinternal_`$work_package_id`"}
            {assign var="supplement_otcurr_name" value="project_offers_supplement_`$work_package_id`"}
            {assign var="extras_value_view" value="project_offers_extras_value_internal_view_`$work_package_id`"}
            {assign var="extras_value_otcurr_name" value="project_offers_extras_value_`$work_package_id`"}
            {assign var="rebate_value_view" value="project_offers_rebate_value_internal_view_`$work_package_id`"}
            {assign var="rebate_value_otcurr_name" value="project_offers_rebate_value_`$work_package_id`"}
        {/if}
        {assign var="calc_rep" value="project_offers_calc_rep_`$work_package_id`"}
        {assign var="calc_rep_wp" value="project_offers_calc_rep_wp_`$work_package_id`"}
        {assign var="costs_rep_name" value="project_offers_costs_rep_`$work_package_id`"}
        <tr {if isset($allocation->is_preset) && $allocation->is_preset}style="display: none;"{/if} class="{if $allocation->subs_active<=0}inactive_state{/if} {if isset($allocation->is_preset) && $allocation->is_preset}preset_row{/if} {if !$allocation->object_is_editable}sum_row{/if} {if !isset($allocation->fee_object) || !$allocation->fee_object}addi_row{/if}" data-lft={$allocation->lft} data-rgt={$allocation->rgt} data-wp_id={$work_package_id}>
            <td class="rowname" style="border-right: none;">
                {if isset($allocation->is_preset) && $allocation->is_preset}
                    {include file='r/hidden.tpl' name={$custom_parent} class="rowparent" default=""}
                    {include file='r/table_input.tpl' name={$custom_number} class="rownumber istext t-smaller" 
                        placeholder={$i.offers_management_add_new_phase_number_placeholder} readonly=!$allocation->object_is_editable}
                    {include file='r/table_input.tpl' name={$custom_name} class="rowname istext t-mid" 
                        placeholder={$i.offers_management_add_new_phase_placeholder} readonly=!$allocation->object_is_editable}
                    <span class="dialog_make_btn16 delete smallbtns ui-corner-all"
                        title="{$i.offers_management_remove_new_phase}"
                        onclick='offers_management.fee_allocation.remove_new_work_package(this);'></span>
                {else}
                    {$allocation->full_name}
                    <span {if !$allocation->is_addable}style="display: none;"{/if}
                        class="dialog_make_btn16 add smallbtns ui-corner-all"
                        title="{$i.offers_management_add_new_phase}"
                        onclick='offers_management.fee_allocation.add_new_work_package(this, "{$work_package_id}");'></span>
                {/if}
            </td>
            <td class="skillgrprow" style="border-left: none;">
                <span {if !$allocation->object_is_editable || $hide_skill_grp}style="display: none;"{/if}
                    class="dialog_make_btn16 edit smallbtns ui-corner-all"
                    title="{$i.offers_management_edit_phase_skill_grp}"
                    onclick='offers_management.fee_allocation.open_skill_grp_calcexp(this);'></span>
            </td>
            <td class="percentrow" style="display: none; text-align: center;">
                {include file='r/table_input.tpl' name={$percent_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                    default="{if isset($allocation->costs_percent)}{islongfloat value=$allocation->costs_percent}{/if}" readonly=!$allocation->object_is_editable}
            </td>
            {if $project_calc_type_is_quantity || $project_calc_type_is_calcexp}
                <td class="quantityrow" style="text-align: right;">
                    {include file='r/table_input.tpl' name={$quantity_name} class="t-smaller numberi18n" 
                        default="{if isset($allocation->quantity)}{islongfloat value=$allocation->quantity}{/if}" readonly=!$allocation->object_is_editable}
                    {include file='r/select-only.tpl' name={$unit_name} title="offers_management_unit" 
                        list=$quantities_list id="id" default="{if isset($allocation->quantity_id)}{$allocation->quantity_id}{/if}"
                        text="fullname" collapse='formcoll'
                        filter_extra="onchange='offers_management.fee_allocation.get_unit_default(this);'"
                        class="t-smaller" readonly=!$allocation->object_is_editable}
                </td>
            {else}
                {include file='r/hidden.tpl' name={$unit_name} default="{if isset($allocation->quantity_id)}{$allocation->quantity_id}{/if}"}
            {/if}
            {if $project_calc_type_is_quantity}
                <td class="pricerow" style="text-align: right;">
                    {include file='r/table_input.tpl' name={$price_name} class="t-mid numberi18n calculator" 
                        default="{if isset($allocation->price)}{islongfloat value=$allocation->price}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {else}
                {include file='r/hidden.tpl' name={$price_name} default="{if isset($allocation->price)}{$allocation->price}{/if}"}
            {/if}
            {if !$project_use_currency}{* ------------- *}
                {include file='r/hidden.tpl' name={$custom_costs_name} default="{if isset($allocation->custom_costs)}{islongfloat value=$allocation->custom_costs}{/if}"}
                <td class="costsviewrow costsin" title="costs_view {if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}">
                    {include file='r/table_input.tpl' name={$costs_name_view} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}" readonly="{if $project_calc_type_is_calcexp}readonly{else}{!$allocation->object_is_editable}{/if}"
                        filter_extra="data-skill_grp_calcexp=`$allocation->skill_grp_calcexp_data`"}
                </td>
                <td class="supplementviewrow supplementin" style="background: rgba(220, 220, 255, 0.4);" title="supplement_view {if isset($allocation->supplement_view)}{islongfloat value=$allocation->supplement_view}{/if}">
                    {include file='r/table_input.tpl' name={$supplement_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->supplement)}{islongfloat value=$allocation->supplement}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {else}{* $$$$$$$$$$$$$ *}
                {include file='r/hidden.tpl' name={$custom_costs_name} default="{if isset($allocation->custom_costs)}{islongfloat value=$allocation->custom_costs}{/if}"}
                {include file='r/hidden.tpl' name={$custom_costs_otcurr_name} default="{if isset($allocation->custom_costs_otcurr)}{islongfloat value=$allocation->custom_costs_otcurr}{/if}"}
                <td class="costsviewrow" style="text-align: right;" title="costs_view {if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}">
                    {include file='r/view-only.tpl' name={$costs_name_view} default="{if isset($allocation->costs_view)}{islongfloat value=$allocation->costs_view}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td style="text-align: right;">
                    {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
                </td>
                <td class="costsrowex costsin" title="costs_otcurr {if isset($allocation->costs_otcurr)}{islongfloat value=$allocation->costs_otcurr}{/if}">
                    {include file='r/table_input.tpl' name={$costs_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->costs_otcurr)}{islongfloat value=$allocation->costs_otcurr}{/if}" readonly="{if $project_calc_type_is_calcexp}readonly{else}{!$allocation->object_is_editable}{/if}"
                        filter_extra="data-skill_grp_calcexp=`$allocation->skill_grp_calcexp_data`"}
                </td>
                <td class="supplementviewrow" style="text-align: right; background: rgba(220, 220, 255, 0.4);" title="supplement_view {if isset($allocation->supplement_view)}{islongfloat value=$allocation->supplement_view}{/if}">
                    {include file='r/view-only.tpl' name={$supplement_name} default="{if isset($allocation->supplement)}{islongfloat value=$allocation->supplement}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td class="supplementrowex supplementin" style="background: rgba(220, 220, 255, 0.4);" title="supplement_otcurr {if isset($allocation->supplement_otcurr)}{islongfloat value=$allocation->supplement_otcurr}{/if}">
                    {include file='r/table_input.tpl' name={$supplement_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n calculator" 
                        default="{if isset($allocation->supplement_otcurr)}{islongfloat value=$allocation->supplement_otcurr}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {/if}
            {if $project_extras_is_percentage}
                <td class="extrasviewrow" style="display: none"></td>
                <td class="extrasrow extrasin" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                    {include file='r/table_input.tpl' name={$extras_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                        default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {elseif $project_extras_is_calcexp}
                {if $project_use_currency}{* $$$$$$$$$$$$$ *}
                    <td class="extrasviewrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        {include file='r/view-only.tpl' name={$extras_value_view} default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                    <td class="extrasrow extrasin extrasrowex" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        <a onclick='offers_management.fee_allocation.open_extras_calcexp(this);' class="dialog_make_text_btn ui-corner-all"
                           title="{$i.offers_management_edit_phase_extras}">
                            <span class="dialog_make_btn16 edit ui-corner-all"></span>
                        </a>
                        {include file='r/table_input.tpl' name={$extras_value_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->extras_otcurr)}{islongfloat value=$allocation->extras_otcurr}{/if}" readonly=true
                            filter_extra="data-extras_calcexp=`$allocation->extras_calcexp_data`"}
                    </td>
                {else}
                    <td class="extrasrow extrasin extrasviewrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        <a onclick='offers_management.fee_allocation.open_extras_calcexp(this);' class="dialog_make_text_btn ui-corner-all"
                           title="{$i.offers_management_edit_phase_extras}">
                            <span class="dialog_make_btn16 edit ui-corner-all"></span>
                        </a>
                        {include file='r/table_input.tpl' name={$extras_value_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=true
                            filter_extra="data-extras_calcexp=`$allocation->extras_calcexp_data`"}
                    </td>
                {/if}
            {else}
                {if $project_use_currency}{* $$$$$$$$$$$$$ *}
                    <td class="extrasviewrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        {include file='r/view-only.tpl' name={$extras_value_view} default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                    <td class="extrasrow extrasin extrasrowex" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        {if $project_extras_is_calcexp}
                            <a onclick="" class="dialog_make_text_btn ui-corner-all"
                               title="{$i.offers_management_edit_phase_extras}">
                                <span class="dialog_make_btn16 edit ui-corner-all"></span>{$i.offers_management_edit_phase_extras}
                            </a>
                        {/if}
                        {include file='r/table_input.tpl' name={$extras_value_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->extras_otcurr)}{islongfloat value=$allocation->extras_otcurr}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                {else}
                    <td class="extrasrow extrasin extrasviewrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                        {include file='r/table_input.tpl' name={$extras_value_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->extras)}{islongfloat value=$allocation->extras}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                {/if}
            {/if}
            {if $project_rebate_is_percentage}
                <td class="rebateviewrow" style="display: none"></td>
                <td class="rebaterow rebatein" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                    {include file='r/table_input.tpl' name={$rebate_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-smaller" 
                        default="{if isset($allocation->rebate)}{islongfloat value=$allocation->rebate}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {else}
                {if $project_use_currency}{* $$$$$$$$$$$$$ *}
                    <td class="rebateviewrow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                        {include file='r/view-only.tpl' name={$rebate_value_view} default="{if isset($allocation->rebate)}{islongfloat value=$allocation->rebate}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                    <td class="rebaterow rebatein rebaterowex" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                        {include file='r/table_input.tpl' name={$rebate_value_otcurr_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->rebate_otcurr)}{islongfloat value=$allocation->rebate_otcurr}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                {else}
                    <td class="rebaterow rebatein rebateviewrow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                        {include file='r/table_input.tpl' name={$rebate_value_name} class="{if isset($allocation->is_special) && $allocation->is_special}fee_area_is_special_name {/if} numberi18n t-small" 
                            default="{if isset($allocation->rebate)}{islongfloat value=$allocation->rebate}{/if}" readonly=!$allocation->object_is_editable}
                    </td>
                {/if}
            {/if}
            <td style="display: none;">
                {include file='r/hidden.tpl' name={$calc_rep} default="{if isset($allocation->calc_rep)}{$allocation->calc_rep}{/if}"}
                {include file='r/hidden.tpl' name={$calc_rep_wp} default="{if isset($allocation->calc_rep_wp)}{$allocation->calc_rep_wp}{/if}"}
            </td>
            {if $has_repetition}
                <td class="costsrow" style="text-align: right;">
                    {include file='r/view-only.tpl' name={$costs_mid_name} default="{if isset($allocation->costs)}{islongfloat value=$allocation->costs}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td class="costsreprow" style="text-align: right;">
                    {include file='r/view-only.tpl' name={$costs_name} default="{if isset($allocation->costs_with_rep)}{islongfloat value=$allocation->costs_with_rep}{/if}" readonly=!$allocation->object_is_editable}
                </td>
                <td style="display: none;">
                    {include file='r/table_input.tpl' name={$costs_rep_name} class="numberi18n" 
                        default="{if isset($allocation->costs_rep)}{islongfloat value=$allocation->costs_rep}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {else}
                <td class="costsrow" style="text-align: right;">
                    {include file='r/view-only.tpl' name={$costs_name} default="{if isset($allocation->costs)}{islongfloat value=$allocation->costs}{/if}" readonly=!$allocation->object_is_editable}
                </td>
            {/if}
        </tr>
    {/foreach}
    {if isset($allocations.0)}
        {assign var="is_costs_sum" value=$allocations.0->is_costs_sum}
        {assign var="costs_sum" value=$allocations.0->costs_sum}
        {assign var="costs_sum_otcurr" value=$allocations.0->costs_sum_otcurr}
        {if isset($allocations.0->costs_supplement_sum)}
            {assign var="costs_supplement_sum" value=$allocations.0->costs_supplement_sum}
            {assign var="costs_supplement_sum_otcurr" value=$allocations.0->costs_supplement_sum_otcurr}
        {else}
            {assign var="costs_supplement_sum" value=0}
            {assign var="costs_supplement_sum_otcurr" value=0}
        {/if}
        {if isset($allocations.0->costs_extras_sum)}
            {assign var="costs_extras_sum" value=$allocations.0->costs_extras_sum}
            {assign var="costs_extras_sum_otcurr" value=$allocations.0->costs_extras_sum_otcurr}
        {else}
            {assign var="costs_extras_sum" value=0}
            {assign var="costs_extras_sum_otcurr" value=0}
        {/if}
        {if isset($allocations.0->costs_rebate_sum)}
            {assign var="costs_rebate_sum" value=$allocations.0->costs_rebate_sum}
            {assign var="costs_rebate_sum_otcurr" value=$allocations.0->costs_rebate_sum_otcurr}
        {else}
            {assign var="costs_rebate_sum" value=0}
            {assign var="costs_rebate_sum_otcurr" value=0}
        {/if}
    {else}
        {assign var="is_costs_sum" value=0}
        {assign var="costs_sum" value=0}
        {assign var="costs_sum_otcurr" value=0}
        {assign var="costs_supplement_sum" value=0}
        {assign var="costs_supplement_sum_otcurr" value=0}
        {assign var="costs_extras_sum" value=0}
        {assign var="costs_extras_sum_otcurr" value=0}
        {assign var="costs_rebate_sum" value=0}
        {assign var="costs_rebate_sum_otcurr" value=0}
    {/if}

    <tr style="border-right: hidden;"><td colspan="{if !$project_use_currency}9{else}12{/if}">&nbsp;</td></tr>
    
    {if $with_old_hoai}
        <tr>
            <td style="text-align:left;">
                HOAI {$i.calcexp_hoai_supplement}
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums) && isset($hoai_portlet_data->sums->supplement)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_supplement' default={islongfloat value=$hoai_portlet_data->sums->supplement}}%
                {/if}
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums->supplement_val)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_supplement_val' default={islongfloat value=$hoai_portlet_data->sums->supplement_val}
                        filter_extra="data-val=`$hoai_portlet_data->sums->supplement_val` data-extras=`$hoai_portlet_data->sums->extras` data-rebate=`$hoai_portlet_data->sums->rebate`"}
                {/if}
            </td>
            <td class="extrasrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->extras)}
                    {include file='r/table_input.tpl' name="project_offers_extras_supplement" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->extras} readonly=true}
                {/if}
            </td>
            <td class="rebaterow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->rebate)}
                    {include file='r/table_input.tpl' name="project_offers_rebate_supplement" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->rebate} readonly=true}
                {/if}
            </td>
            <td colspan="{if !$project_use_currency}1{else}3{/if}" rowspan="2">
                <small id="project_offers_hoai_sum" style="font-size: 0.7em;"
                    title="HOAI {$i.calcexp_hoai_supplement} +  {$i.calcexp_hoai_specserv} + ({$i.offers_management_extras} + {$i.offers_management_rebate})"></small>
            </td>
        </tr>
        <tr>
            <td style="text-align:left;">
                HOAI {$i.calcexp_hoai_specserv}
            </td>
            <td style="text-align:right;">
            </td>
            <td style="text-align:right;">
                {if isset($hoai_portlet_data->sums->specserv)}
                    {include file='r/view-only.tpl' name='project_offers_hoai_specserv' default={islongfloat value=$hoai_portlet_data->sums->specserv}
                        filter_extra="data-val=`$hoai_portlet_data->sums->specserv` data-extras=`$hoai_portlet_data->sums->extras` data-rebate=`$hoai_portlet_data->sums->rebate`"}
                {/if}
            </td>
            <td class="extrasrow" style="text-align: center; background: rgba(255, 255, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->extras)}
                    {include file='r/table_input.tpl' name="project_offers_extras_specserv" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->extras} readonly=true}
                {/if}
            </td>
            <td class="rebaterow" style="text-align: center; background: rgba(255, 200, 200, 0.4);">
                {if isset($hoai_portlet_data->sums->rebate)}
                    {include file='r/table_input.tpl' name="project_offers_rebate_specserv" class="fee_area_is_special_name numberi18n t-smaller" 
                        default={islongfloat value=$hoai_portlet_data->sums->rebate} readonly=true}
                {/if}
            </td>
        </tr>
        <tr style="border-right: hidden;"><td colspan="{if !$project_use_currency}6{else}8{/if}">&nbsp;</td></tr>
    {/if}
{*    Gesamtsumme eingeben*}
    <tr style="border-top: hidden; border-right: hidden;">
        <td colspan="20">
            {$i.projectadmin_introduce_total}
            <input type="checkbox" name="project_offers_is_costs_sum" value="TRUE" id="project_offers_is_costs_sum" {if $is_costs_sum && !$with_old_hoai}checked="checked"{/if} class="checkbox">
        </td>
    </tr>
{*    Gesamthonorar*}
    <tr>
        <td colspan="2">
            {$i.projectadmin_costs_view_total}
        </td>
        <td class="percentsumrow" style="text-align: center; display: none;">
            <input type="text" name="project_offers_percent_sum" value="" id="project_offers_percent_sum" class="numberi18n t-smaller"/>
        </td>
        {if !$project_use_currency}{* ------------- *}
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum" class="numberi18n calculator" default="{if $costs_sum_otcurr}{islongfloat value=$costs_sum_otcurr}{/if}"}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_costs_internal_sum' default={islongfloat value=0}}
            </td>
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum" class="numberi18n calculator" default="{if $costs_sum_otcurr}{islongfloat value=$costs_sum_otcurr}{/if}"}
            </td>
        {/if}
        <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
    </tr>
{*    Gesamtzuschläge*}
    <tr>
        <td colspan="2" style="background: rgba(220, 220, 255, 0.4);">
            {$i.projectadmin_supplement_total}
        </td>
        <td class="percentsumrow" style="display: none; text-align: center; background: rgba(220, 220, 255, 0.4);"></td>
        {if !$project_use_currency}{* ------------- *}
            <td style="background: rgba(220, 220, 255, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_supplement_sum" class="numberi18n calculator" default="{if $costs_supplement_sum_otcurr}{islongfloat value=$costs_supplement_sum_otcurr}{/if}"}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="background: rgba(220, 220, 255, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_supplement_internal_sum' default={islongfloat value=0}}
            </td>
            <td style="background: rgba(220, 220, 255, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td style="background: rgba(220, 220, 255, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_supplement_sum" class="numberi18n calculator" default="{if $costs_supplement_sum_otcurr}{islongfloat value=$costs_supplement_sum_otcurr}{/if}"}
            </td>
        {/if}
        <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
    </tr>
    {*Gesamtnebenkosten*}
    <tr class="extrasrow">
        <td colspan="2" accesskey=""style="background: rgba(255, 255, 200, 0.4);">
            {$i.projectadmin_extras_total}
        </td>
        <td class="percentsumrow" style="display: none; text-align: center; background: rgba(255, 255, 200, 0.4);"></td>
        {if !$project_use_currency}{* ------------- *}
            <td style="background: rgba(255, 255, 200, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_extras_sum" class="numberi18n calculator" default="{if $costs_extras_sum_otcurr}{islongfloat value=$costs_extras_sum_otcurr}{/if}"}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="background: rgba(255, 255, 200, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_extras_internal_sum' default={islongfloat value=0}}
            </td>
            <td style="background: rgba(255, 255, 200, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td style="background: rgba(255, 255, 200, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_extras_sum" class="numberi18n calculator" default="{if $costs_extras_sum_otcurr}{islongfloat value=$costs_extras_sum_otcurr}{/if}"}
            </td>
        {/if}
        <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
    </tr>
{*    Gesamtrabatt*}
    <tr class="rebaterow">
        <td colspan="2" style="background: rgba(255, 200, 200, 0.4);">
            {$i.projectadmin_rebate_total}
        </td>
        <td class="percentsumrow" style="display: none; text-align: center; background: rgba(255, 200, 200, 0.4);"></td>
        {if !$project_use_currency}{* ------------- *}
            <td style="background: rgba(255, 200, 200, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_rebate_sum" class="numberi18n calculator" default="{if $costs_rebate_sum_otcurr}{islongfloat value=$costs_rebate_sum_otcurr}{/if}"}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="background: rgba(255, 200, 200, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_rebate_internal_sum' default={islongfloat value=0}}
            </td>
            <td style="background: rgba(255, 200, 200, 0.4); text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td style="background: rgba(255, 200, 200, 0.4);">
                {include file='r/table_input.tpl' name="project_offers_rebate_sum" class="numberi18n calculator" default="{if $costs_rebate_sum_otcurr}{islongfloat value=$costs_rebate_sum_otcurr}{/if}"}
            </td>
        {/if}
        <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
    </tr>
{*    Gesamtwiederholungen*}
    {if $has_repetition}
        <tr>
            <td colspan="2">
                {$i.projectadmin_repetition_total}
            </td>
            <td class="percentsumrow" style="display: none; text-align: center;"></td>
            {if !$project_use_currency}{* ------------- *}
                <td>
                    {include file='r/table_input.tpl' name="project_offers_repetition_sum" class="numberi18n calculator" default={islongfloat value=0} readonly=true}
                </td>
            {else}{* $$$$$$$$$$$$$ *}
                <td style="text-align: right;">
                    {include file='r/view-only.tpl' name='project_offers_repetition_internal_sum' default={islongfloat value=0}}
                </td>
                <td style="text-align: right;">
                    {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
                </td>
                <td>
                    {include file='r/table_input.tpl' name="project_offers_repetition_sum" class="numberi18n calculator" default={islongfloat value=0} readonly=true}
                </td>
            {/if}
            <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
        </tr>
    {/if}
    <tr>
        <td colspan="2">
            {$i.projectadmin_costs_total}
        </td>
        <td class="percentsumrow" style="display: none; text-align: center;"></td>
        {if !$project_use_currency}{* ------------- *}
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum_total" class="numberi18n calculator" default={islongfloat value=0} readonly=true}
            </td>
        {else}{* $$$$$$$$$$$$$ *}
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_costs_internal_sum_total' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td style="text-align: right;">
                {include file='r/view-only.tpl' name='project_offers_exchange_rate' class='project_offers_exchange_rate' default={islongfloat value=1}}
            </td>
            <td>
                {include file='r/table_input.tpl' name="project_offers_costs_sum_total" class="numberi18n calculator" default={islongfloat value=0} readonly=true}
            </td>
        {/if}
        <td colspan="20" style="border-top: hidden; border-bottom: hidden; border-right: hidden;"></td>
    </tr>
</tbody>
</table>
