<form method="post" action="" id="details_skill_grp_calcexp_form" class="noprint biggerform" onsubmit="return false;">
    {include file='r/hidden.tpl' name="skill_grp_calcexp_wp_id" default={$work_package_id}}
    
    {if !$has_times_rates}
        <div class="warningsmall ui-corner-all">{$i.offers_management_skill_grp_calcexp_no_rates_warning}</div>
    {else}
        <fieldset class="noborder">
            <table style="margin: 5px 0px 0px 0px;" id="skill_grp_calcexp_rates">
            <colgroup>
                <col style="min-width: 20vw;" />
                <col style="min-width: 130px;" />
                <col style="min-width: 110px;" />
            </colgroup>
            <thead>
                <tr>
                    <th>{$i.offers_management_skill_grp_calcexp_table_title}</th>
                    <th>{$i.offers_management_skill_grp_calcexp_quantity}</th>
                    <th>{$i.offers_management_skill_grp_calcexp_rate}</th>
                    <th>{$i.offers_management_skill_grp_calcexp_total}</th>
                </tr>
            </thead>
            <tbody>
                {foreach item="skill_grp_rate" from=$skill_grp_rates}
                <tr>
                    <td>
                        {$skill_grp_rate->name_for}
                    </td>
                    <td class="quantityin" style="text-align: center;">
                        {include file='r/table_input.tpl' name="skill_grp_calcexp_quantity_{$skill_grp_rate->item_id}" class="numberi18n t-smaller" 
                            default="{if isset($skill_grp_rate->quantity)}{islongfloat value=$skill_grp_rate->quantity}{else}{islongfloat value=0}{/if}"
                            filter_extra="onchange='offers_management.fee_allocation.update_skill_grp_calcexp();'"
                            readonly=$disabled}
                    </td>
                    <td style="text-align: center;">
                        {include file='r/view-only.tpl' name="skill_grp_calcexp_rate_{$skill_grp_rate->item_id}"
                            default="{if isset($skill_grp_rate->rate)}{islongfloat value=$skill_grp_rate->rate}{else}{islongfloat value=0}{/if}"}
                    </td>
                    <td>
                        {include file='r/view-only.tpl' name="skill_grp_calcexp_total_{$skill_grp_rate->item_id}"
                            default={islongfloat value=0}}
                    </td>
                </tr>
                {/foreach}
                <tr>
                    <td colspan="20">&nbsp;</td>
                </tr>
                <tr class="sum_row">
                    <td colspan="3">{$i.offers_management_skill_grp_calcexp_total_sum}</td>
                    <td>
                        {include file='r/view-only.tpl' name="skill_grp_calcexp_total_sum" default={islongfloat value=0}}
                    </td>
                </tr>
            </tbody>
            </table>
        </fieldset>
    {/if}
</form>