<?php
/**
 * CodeIgniter Controller
 *
 * @category CodeIgniter
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package libraries
 * @version $Id$
*/

/**
 * Installer
 */
class My_Controller extends CI_Controller
{
    /**
     * Run page in XAJAX mode
     */
    const M_XAJAX = 1731453283;
    /**
     * Run page in direct (http) mode
     */
    const M_DIRECT = 1375061600;
    /**
     * Run page in REST mode
     */
    const M_REST = 988851932;

    /**
     * License info missing
     */
    const SEC_NULL = 1643944439;
    /**
     * License info invalid
     */
    const SEC_DECODE = 1543433838;
    /**
     * License info does not match
     */
    const SEC_INFO = 826310261;
    /**
     * License expired
     */
    const SEC_EXPIRED = 283749223;
    /**
     * License too many logged in users
     */
    const SEC_MANY = 234563247;
    /**
     * License ok
     */
    const SEC_OK = 1222061397;
    
    /**
     * Show errors
     *
     * @return  void
     */
    public function global_error()
    {
        $this->load->view('header');
        $this->load->view('errors', $this->to_view);
        $this->load->view('footer');

        log_message('error', print_r($this->to_view, true));
    }
    
}

/* End of My_controller.php */